<?php

/**
* Class Reuse_ICONS_Provider
*/
class Reuse_ICONS_Provider {

  function __construct() {
    add_filter('reuse_icon_picker', array($this, 'reuse_icon_picker'), 10, 1 );
  }

  /**
   * Shortcode data provider
   *
   * Add localize data to the shortcode provider via add_filter hook
   *
   * @author redqteam
   * @version  1.0
   * @since  1.0
   *
   * @param $shortcode_provider
   * @return $shortcode_provider
   */
  function reuse_icon_picker( $icon_lists) {

    $icon_lists = array(
      array(
        'label'  => 'Font Awesome',
        'value' =>  'fa',
        'icons'   => array(
          array('name' => 'american-sign-language-interpreting', 'className' => 'fa fa-american-sign-language-interpreting'),
          array('name' => 'asl-interpreting (alias)', 'className' => 'fa fa-asl-interpreting'),
          array('name' => 'assistive-listening-systems', 'className' => 'fa fa-assistive-listening-systems'),
          array('name' => 'audio-description', 'className' => 'fa fa-audio-description'),
          array('name' => 'blind', 'className' => 'fa fa-blind'),
          array('name' => 'braille', 'className' => 'fa fa-braille'),
          array('name' => 'deaf', 'className' => 'fa fa-deaf'),
          array('name' => 'deafness (alias)', 'className' => 'fa fa-deafness'),
          array('name' => 'envira', 'className' => 'fa fa-envira'),
          array('name' => 'fa (alias)', 'className' => 'fa fa-fa'),
          array('name' => 'first-order', 'className' => 'fa fa-first-order'),
          array('name' => 'font-awesome', 'className' => 'fa fa-font-awesome'),
          array('name' => 'gitlab', 'className' => 'fa fa-gitlab'),
          array('name' => 'glide', 'className' => 'fa fa-glide'),
          array('name' => 'glide-g', 'className' => 'fa fa-glide-g'),
          array('name' => 'google-plus-circle (alias)', 'className' => 'fa fa-google-plus-circle'),
          array('name' => 'google-plus-official', 'className' => 'fa fa-google-plus-official'),
          array('name' => 'hard-of-hearing (alias)', 'className' => 'fa fa-hard-of-hearing'),
          array('name' => 'instagram', 'className' => 'fa fa-instagram'),
          array('name' => 'low-vision', 'className' => 'fa fa-low-vision'),
          array('name' => 'pied-piper', 'className' => 'fa fa-pied-piper'),
          array('name' => 'question-circle-o', 'className' => 'fa fa-question-circle-o'),
          array('name' => 'sign-language', 'className' => 'fa fa-sign-language'),
          array('name' => 'signing (alias)', 'className' => 'fa fa-signing'),
          array('name' => 'snapchat', 'className' => 'fa fa-snapchat'),
          array('name' => 'snapchat-ghost', 'className' => 'fa fa-snapchat-ghost'),
          array('name' => 'snapchat-square', 'className' => 'fa fa-snapchat-square'),
          array('name' => 'themeisle', 'className' => 'fa fa-themeisle'),
          array('name' => 'universal-access', 'className' => 'fa fa-universal-access'),
          array('name' => 'viadeo', 'className' => 'fa fa-viadeo'),
          array('name' => 'viadeo-square', 'className' => 'fa fa-viadeo-square'),
          array('name' => 'volume-control-phone', 'className' => 'fa fa-volume-control-phone'),
          array('name' => 'wheelchair-alt', 'className' => 'fa fa-wheelchair-alt'),
          array('name' => 'wpbeginner', 'className' => 'fa fa-wpbeginner'),
          array('name' => 'wpforms', 'className' => 'fa fa-wpforms'),
          array('name' => 'yoast', 'className' => 'fa fa-yoast'),
          array('name' => 'adjust', 'className' => 'fa fa-adjust'),
          array('name' => 'american-sign-language-interpreting', 'className' => 'fa fa-american-sign-language-interpreting'),
          array('name' => 'anchor', 'className' => 'fa fa-anchor'),
          array('name' => 'archive', 'className' => 'fa fa-archive'),
          array('name' => 'area-chart', 'className' => 'fa fa-area-chart'),
          array('name' => 'arrows', 'className' => 'fa fa-arrows'),
          array('name' => 'arrows-h', 'className' => 'fa fa-arrows-h'),
          array('name' => 'arrows-v', 'className' => 'fa fa-arrows-v'),
          array('name' => 'asl-interpreting (alias)', 'className' => 'fa fa-asl-interpreting'),
          array('name' => 'assistive-listening-systems', 'className' => 'fa fa-assistive-listening-systems'),
          array('name' => 'asterisk', 'className' => 'fa fa-asterisk'),
          array('name' => 'at', 'className' => 'fa fa-at'),
          array('name' => 'audio-description', 'className' => 'fa fa-audio-description'),
          array('name' => 'automobile (alias)', 'className' => 'fa fa-automobile'),
          array('name' => 'balance-scale', 'className' => 'fa fa-balance-scale'),
          array('name' => 'ban', 'className' => 'fa fa-ban'),
          array('name' => 'bank (alias)', 'className' => 'fa fa-bank'),
          array('name' => 'bar-chart', 'className' => 'fa fa-bar-chart'),
          array('name' => 'bar-chart-o (alias)', 'className' => 'fa fa-bar-chart-o'),
          array('name' => 'barcode', 'className' => 'fa fa-barcode'),
          array('name' => 'bars', 'className' => 'fa fa-bars'),
          array('name' => 'battery-0 (alias)', 'className' => 'fa fa-battery-0'),
          array('name' => 'battery-1 (alias)', 'className' => 'fa fa-battery-1'),
          array('name' => 'battery-2 (alias)', 'className' => 'fa fa-battery-2'),
          array('name' => 'battery-3 (alias)', 'className' => 'fa fa-battery-3'),
          array('name' => 'battery-4 (alias)', 'className' => 'fa fa-battery-4'),
          array('name' => 'battery-empty', 'className' => 'fa fa-battery-empty'),
          array('name' => 'battery-full', 'className' => 'fa fa-battery-full'),
          array('name' => 'battery-half', 'className' => 'fa fa-battery-half'),
          array('name' => 'battery-quarter', 'className' => 'fa fa-battery-quarter'),
          array('name' => 'battery-three-quarters', 'className' => 'fa fa-battery-three-quarters'),
          array('name' => 'bed', 'className' => 'fa fa-bed'),
          array('name' => 'beer', 'className' => 'fa fa-beer'),
          array('name' => 'bell', 'className' => 'fa fa-bell'),
          array('name' => 'bell-o', 'className' => 'fa fa-bell-o'),
          array('name' => 'bell-slash', 'className' => 'fa fa-bell-slash'),
          array('name' => 'bell-slash-o', 'className' => 'fa fa-bell-slash-o'),
          array('name' => 'bicycle', 'className' => 'fa fa-bicycle'),
          array('name' => 'binoculars', 'className' => 'fa fa-binoculars'),
          array('name' => 'birthday-cake', 'className' => 'fa fa-birthday-cake'),
          array('name' => 'blind', 'className' => 'fa fa-blind'),
          array('name' => 'bluetooth', 'className' => 'fa fa-bluetooth'),
          array('name' => 'bluetooth-b', 'className' => 'fa fa-bluetooth-b'),
          array('name' => 'bolt', 'className' => 'fa fa-bolt'),
          array('name' => 'bomb', 'className' => 'fa fa-bomb'),
          array('name' => 'book', 'className' => 'fa fa-book'),
          array('name' => 'bookmark', 'className' => 'fa fa-bookmark'),
          array('name' => 'bookmark-o', 'className' => 'fa fa-bookmark-o'),
          array('name' => 'braille', 'className' => 'fa fa-braille'),
          array('name' => 'briefcase', 'className' => 'fa fa-briefcase'),
          array('name' => 'bug', 'className' => 'fa fa-bug'),
          array('name' => 'building', 'className' => 'fa fa-building'),
          array('name' => 'building-o', 'className' => 'fa fa-building-o'),
          array('name' => 'bullhorn', 'className' => 'fa fa-bullhorn'),
          array('name' => 'bullseye', 'className' => 'fa fa-bullseye'),
          array('name' => 'bus', 'className' => 'fa fa-bus'),
          array('name' => 'cab (alias)', 'className' => 'fa fa-cab'),
          array('name' => 'calculator', 'className' => 'fa fa-calculator'),
          array('name' => 'calendar', 'className' => 'fa fa-calendar'),
          array('name' => 'calendar-check-o', 'className' => 'fa fa-calendar-check-o'),
          array('name' => 'calendar-minus-o', 'className' => 'fa fa-calendar-minus-o'),
          array('name' => 'calendar-o', 'className' => 'fa fa-calendar-o'),
          array('name' => 'calendar-plus-o', 'className' => 'fa fa-calendar-plus-o'),
          array('name' => 'calendar-times-o', 'className' => 'fa fa-calendar-times-o'),
          array('name' => 'camera', 'className' => 'fa fa-camera'),
          array('name' => 'camera-retro', 'className' => 'fa fa-camera-retro'),
          array('name' => 'car', 'className' => 'fa fa-car'),
          array('name' => 'caret-square-o-down', 'className' => 'fa fa-caret-square-o-down'),
          array('name' => 'caret-square-o-left', 'className' => 'fa fa-caret-square-o-left'),
          array('name' => 'caret-square-o-right', 'className' => 'fa fa-caret-square-o-right'),
          array('name' => 'caret-square-o-up', 'className' => 'fa fa-caret-square-o-up'),
          array('name' => 'cart-arrow-down', 'className' => 'fa fa-cart-arrow-down'),
          array('name' => 'cart-plus', 'className' => 'fa fa-cart-plus'),
          array('name' => 'cc', 'className' => 'fa fa-cc'),
          array('name' => 'certificate', 'className' => 'fa fa-certificate'),
          array('name' => 'check', 'className' => 'fa fa-check'),
          array('name' => 'check-circle', 'className' => 'fa fa-check-circle'),
          array('name' => 'check-circle-o', 'className' => 'fa fa-check-circle-o'),
          array('name' => 'check-square', 'className' => 'fa fa-check-square'),
          array('name' => 'check-square-o', 'className' => 'fa fa-check-square-o'),
          array('name' => 'child', 'className' => 'fa fa-child'),
          array('name' => 'circle', 'className' => 'fa fa-circle'),
          array('name' => 'circle-o', 'className' => 'fa fa-circle-o'),
          array('name' => 'circle-o-notch', 'className' => 'fa fa-circle-o-notch'),
          array('name' => 'circle-thin', 'className' => 'fa fa-circle-thin'),
          array('name' => 'clock-o', 'className' => 'fa fa-clock-o'),
          array('name' => 'clone', 'className' => 'fa fa-clone'),
          array('name' => 'close (alias)', 'className' => 'fa fa-close'),
          array('name' => 'cloud', 'className' => 'fa fa-cloud'),
          array('name' => 'cloud-download', 'className' => 'fa fa-cloud-download'),
          array('name' => 'cloud-upload', 'className' => 'fa fa-cloud-upload'),
          array('name' => 'code', 'className' => 'fa fa-code'),
          array('name' => 'code-fork', 'className' => 'fa fa-code-fork'),
          array('name' => 'coffee', 'className' => 'fa fa-coffee'),
          array('name' => 'cog', 'className' => 'fa fa-cog'),
          array('name' => 'cogs', 'className' => 'fa fa-cogs'),
          array('name' => 'comment', 'className' => 'fa fa-comment'),
          array('name' => 'comment-o', 'className' => 'fa fa-comment-o'),
          array('name' => 'commenting', 'className' => 'fa fa-commenting'),
          array('name' => 'commenting-o', 'className' => 'fa fa-commenting-o'),
          array('name' => 'comments', 'className' => 'fa fa-comments'),
          array('name' => 'comments-o', 'className' => 'fa fa-comments-o'),
          array('name' => 'compass', 'className' => 'fa fa-compass'),
          array('name' => 'copyright', 'className' => 'fa fa-copyright'),
          array('name' => 'creative-commons', 'className' => 'fa fa-creative-commons'),
          array('name' => 'credit-card', 'className' => 'fa fa-credit-card'),
          array('name' => 'credit-card-alt', 'className' => 'fa fa-credit-card-alt'),
          array('name' => 'crop', 'className' => 'fa fa-crop'),
          array('name' => 'crosshairs', 'className' => 'fa fa-crosshairs'),
          array('name' => 'cube', 'className' => 'fa fa-cube'),
          array('name' => 'cubes', 'className' => 'fa fa-cubes'),
          array('name' => 'cutlery', 'className' => 'fa fa-cutlery'),
          array('name' => 'dashboard (alias)', 'className' => 'fa fa-dashboard'),
          array('name' => 'database', 'className' => 'fa fa-database'),
          array('name' => 'deaf', 'className' => 'fa fa-deaf'),
          array('name' => 'deafness (alias)', 'className' => 'fa fa-deafness'),
          array('name' => 'desktop', 'className' => 'fa fa-desktop'),
          array('name' => 'diamond', 'className' => 'fa fa-diamond'),
          array('name' => 'dot-circle-o', 'className' => 'fa fa-dot-circle-o'),
          array('name' => 'download', 'className' => 'fa fa-download'),
          array('name' => 'edit (alias)', 'className' => 'fa fa-edit'),
          array('name' => 'ellipsis-h', 'className' => 'fa fa-ellipsis-h'),
          array('name' => 'ellipsis-v', 'className' => 'fa fa-ellipsis-v'),
          array('name' => 'envelope', 'className' => 'fa fa-envelope'),
          array('name' => 'envelope-o', 'className' => 'fa fa-envelope-o'),
          array('name' => 'envelope-square', 'className' => 'fa fa-envelope-square'),
          array('name' => 'eraser', 'className' => 'fa fa-eraser'),
          array('name' => 'exchange', 'className' => 'fa fa-exchange'),
          array('name' => 'exclamation', 'className' => 'fa fa-exclamation'),
          array('name' => 'exclamation-circle', 'className' => 'fa fa-exclamation-circle'),
          array('name' => 'exclamation-triangle', 'className' => 'fa fa-exclamation-triangle'),
          array('name' => 'external-link', 'className' => 'fa fa-external-link'),
          array('name' => 'external-link-square', 'className' => 'fa fa-external-link-square'),
          array('name' => 'eye', 'className' => 'fa fa-eye'),
          array('name' => 'eye-slash', 'className' => 'fa fa-eye-slash'),
          array('name' => 'eyedropper', 'className' => 'fa fa-eyedropper'),
          array('name' => 'fax', 'className' => 'fa fa-fax'),
          array('name' => 'feed (alias)', 'className' => 'fa fa-feed'),
          array('name' => 'female', 'className' => 'fa fa-female'),
          array('name' => 'fighter-jet', 'className' => 'fa fa-fighter-jet'),
          array('name' => 'file-archive-o', 'className' => 'fa fa-file-archive-o'),
          array('name' => 'file-audio-o', 'className' => 'fa fa-file-audio-o'),
          array('name' => 'file-code-o', 'className' => 'fa fa-file-code-o'),
          array('name' => 'file-excel-o', 'className' => 'fa fa-file-excel-o'),
          array('name' => 'file-image-o', 'className' => 'fa fa-file-image-o'),
          array('name' => 'file-movie-o (alias)', 'className' => 'fa fa-file-movie-o'),
          array('name' => 'file-pdf-o', 'className' => 'fa fa-file-pdf-o'),
          array('name' => 'file-photo-o (alias)', 'className' => 'fa fa-file-photo-o'),
          array('name' => 'file-picture-o (alias)', 'className' => 'fa fa-file-picture-o'),
          array('name' => 'file-powerpoint-o', 'className' => 'fa fa-file-powerpoint-o'),
          array('name' => 'file-sound-o (alias)', 'className' => 'fa fa-file-sound-o'),
          array('name' => 'file-video-o', 'className' => 'fa fa-file-video-o'),
          array('name' => 'file-word-o', 'className' => 'fa fa-file-word-o'),
          array('name' => 'file-zip-o (alias)', 'className' => 'fa fa-file-zip-o'),
          array('name' => 'film', 'className' => 'fa fa-film'),
          array('name' => 'filter', 'className' => 'fa fa-filter'),
          array('name' => 'fire', 'className' => 'fa fa-fire'),
          array('name' => 'fire-extinguisher', 'className' => 'fa fa-fire-extinguisher'),
          array('name' => 'flag', 'className' => 'fa fa-flag'),
          array('name' => 'flag-checkered', 'className' => 'fa fa-flag-checkered'),
          array('name' => 'flag-o', 'className' => 'fa fa-flag-o'),
          array('name' => 'flash (alias)', 'className' => 'fa fa-flash'),
          array('name' => 'flask', 'className' => 'fa fa-flask'),
          array('name' => 'folder', 'className' => 'fa fa-folder'),
          array('name' => 'folder-o', 'className' => 'fa fa-folder-o'),
          array('name' => 'folder-open', 'className' => 'fa fa-folder-open'),
          array('name' => 'folder-open-o', 'className' => 'fa fa-folder-open-o'),
          array('name' => 'frown-o', 'className' => 'fa fa-frown-o'),
          array('name' => 'futbol-o', 'className' => 'fa fa-futbol-o'),
          array('name' => 'gamepad', 'className' => 'fa fa-gamepad'),
          array('name' => 'gavel', 'className' => 'fa fa-gavel'),
          array('name' => 'gear (alias)', 'className' => 'fa fa-gear'),
          array('name' => 'gears (alias)', 'className' => 'fa fa-gears'),
          array('name' => 'gift', 'className' => 'fa fa-gift'),
          array('name' => 'glass', 'className' => 'fa fa-glass'),
          array('name' => 'globe', 'className' => 'fa fa-globe'),
          array('name' => 'graduation-cap', 'className' => 'fa fa-graduation-cap'),
          array('name' => 'group (alias)', 'className' => 'fa fa-group'),
          array('name' => 'hand-grab-o (alias)', 'className' => 'fa fa-hand-grab-o'),
          array('name' => 'hand-lizard-o', 'className' => 'fa fa-hand-lizard-o'),
          array('name' => 'hand-paper-o', 'className' => 'fa fa-hand-paper-o'),
          array('name' => 'hand-peace-o', 'className' => 'fa fa-hand-peace-o'),
          array('name' => 'hand-pointer-o', 'className' => 'fa fa-hand-pointer-o'),
          array('name' => 'hand-rock-o', 'className' => 'fa fa-hand-rock-o'),
          array('name' => 'hand-scissors-o', 'className' => 'fa fa-hand-scissors-o'),
          array('name' => 'hand-spock-o', 'className' => 'fa fa-hand-spock-o'),
          array('name' => 'hand-stop-o (alias)', 'className' => 'fa fa-hand-stop-o'),
          array('name' => 'hard-of-hearing (alias)', 'className' => 'fa fa-hard-of-hearing'),
          array('name' => 'hashtag', 'className' => 'fa fa-hashtag'),
          array('name' => 'hdd-o', 'className' => 'fa fa-hdd-o'),
          array('name' => 'headphones', 'className' => 'fa fa-headphones'),
          array('name' => 'heart', 'className' => 'fa fa-heart'),
          array('name' => 'heart-o', 'className' => 'fa fa-heart-o'),
          array('name' => 'heartbeat', 'className' => 'fa fa-heartbeat'),
          array('name' => 'history', 'className' => 'fa fa-history'),
          array('name' => 'home', 'className' => 'fa fa-home'),
          array('name' => 'hotel (alias)', 'className' => 'fa fa-hotel'),
          array('name' => 'hourglass', 'className' => 'fa fa-hourglass'),
          array('name' => 'hourglass-1 (alias)', 'className' => 'fa fa-hourglass-1'),
          array('name' => 'hourglass-2 (alias)', 'className' => 'fa fa-hourglass-2'),
          array('name' => 'hourglass-3 (alias)', 'className' => 'fa fa-hourglass-3'),
          array('name' => 'hourglass-end', 'className' => 'fa fa-hourglass-end'),
          array('name' => 'hourglass-half', 'className' => 'fa fa-hourglass-half'),
          array('name' => 'hourglass-o', 'className' => 'fa fa-hourglass-o'),
          array('name' => 'hourglass-start', 'className' => 'fa fa-hourglass-start'),
          array('name' => 'i-cursor', 'className' => 'fa fa-i-cursor'),
          array('name' => 'image (alias)', 'className' => 'fa fa-image'),
          array('name' => 'inbox', 'className' => 'fa fa-inbox'),
          array('name' => 'industry', 'className' => 'fa fa-industry'),
          array('name' => 'info', 'className' => 'fa fa-info'),
          array('name' => 'info-circle', 'className' => 'fa fa-info-circle'),
          array('name' => 'institution (alias)', 'className' => 'fa fa-institution'),
          array('name' => 'key', 'className' => 'fa fa-key'),
          array('name' => 'keyboard-o', 'className' => 'fa fa-keyboard-o'),
          array('name' => 'language', 'className' => 'fa fa-language'),
          array('name' => 'laptop', 'className' => 'fa fa-laptop'),
          array('name' => 'leaf', 'className' => 'fa fa-leaf'),
          array('name' => 'legal (alias)', 'className' => 'fa fa-legal'),
          array('name' => 'lemon-o', 'className' => 'fa fa-lemon-o'),
          array('name' => 'level-down', 'className' => 'fa fa-level-down'),
          array('name' => 'level-up', 'className' => 'fa fa-level-up'),
          array('name' => 'life-bouy (alias)', 'className' => 'fa fa-life-bouy'),
          array('name' => 'life-buoy (alias)', 'className' => 'fa fa-life-buoy'),
          array('name' => 'life-ring', 'className' => 'fa fa-life-ring'),
          array('name' => 'life-saver (alias)', 'className' => 'fa fa-life-saver'),
          array('name' => 'lightbulb-o', 'className' => 'fa fa-lightbulb-o'),
          array('name' => 'line-chart', 'className' => 'fa fa-line-chart'),
          array('name' => 'location-arrow', 'className' => 'fa fa-location-arrow'),
          array('name' => 'lock', 'className' => 'fa fa-lock'),
          array('name' => 'low-vision', 'className' => 'fa fa-low-vision'),
          array('name' => 'magic', 'className' => 'fa fa-magic'),
          array('name' => 'magnet', 'className' => 'fa fa-magnet'),
          array('name' => 'mail-forward (alias)', 'className' => 'fa fa-mail-forward'),
          array('name' => 'mail-reply (alias)', 'className' => 'fa fa-mail-reply'),
          array('name' => 'mail-reply-all (alias)', 'className' => 'fa fa-mail-reply-all'),
          array('name' => 'male', 'className' => 'fa fa-male'),
          array('name' => 'map', 'className' => 'fa fa-map'),
          array('name' => 'map-marker', 'className' => 'fa fa-map-marker'),
          array('name' => 'map-o', 'className' => 'fa fa-map-o'),
          array('name' => 'map-pin', 'className' => 'fa fa-map-pin'),
          array('name' => 'map-signs', 'className' => 'fa fa-map-signs'),
          array('name' => 'meh-o', 'className' => 'fa fa-meh-o'),
          array('name' => 'microphone', 'className' => 'fa fa-microphone'),
          array('name' => 'microphone-slash', 'className' => 'fa fa-microphone-slash'),
          array('name' => 'minus', 'className' => 'fa fa-minus'),
          array('name' => 'minus-circle', 'className' => 'fa fa-minus-circle'),
          array('name' => 'minus-square', 'className' => 'fa fa-minus-square'),
          array('name' => 'minus-square-o', 'className' => 'fa fa-minus-square-o'),
          array('name' => 'mobile', 'className' => 'fa fa-mobile'),
          array('name' => 'mobile-phone (alias)', 'className' => 'fa fa-mobile-phone'),
          array('name' => 'money', 'className' => 'fa fa-money'),
          array('name' => 'moon-o', 'className' => 'fa fa-moon-o'),
          array('name' => 'mortar-board (alias)', 'className' => 'fa fa-mortar-board'),
          array('name' => 'motorcycle', 'className' => 'fa fa-motorcycle'),
          array('name' => 'mouse-pointer', 'className' => 'fa fa-mouse-pointer'),
          array('name' => 'music', 'className' => 'fa fa-music'),
          array('name' => 'navicon (alias)', 'className' => 'fa fa-navicon'),
          array('name' => 'newspaper-o', 'className' => 'fa fa-newspaper-o'),
          array('name' => 'object-group', 'className' => 'fa fa-object-group'),
          array('name' => 'object-ungroup', 'className' => 'fa fa-object-ungroup'),
          array('name' => 'paint-brush', 'className' => 'fa fa-paint-brush'),
          array('name' => 'paper-plane', 'className' => 'fa fa-paper-plane'),
          array('name' => 'paper-plane-o', 'className' => 'fa fa-paper-plane-o'),
          array('name' => 'paw', 'className' => 'fa fa-paw'),
          array('name' => 'pencil', 'className' => 'fa fa-pencil'),
          array('name' => 'pencil-square', 'className' => 'fa fa-pencil-square'),
          array('name' => 'pencil-square-o', 'className' => 'fa fa-pencil-square-o'),
          array('name' => 'percent', 'className' => 'fa fa-percent'),
          array('name' => 'phone', 'className' => 'fa fa-phone'),
          array('name' => 'phone-square', 'className' => 'fa fa-phone-square'),
          array('name' => 'photo (alias)', 'className' => 'fa fa-photo'),
          array('name' => 'picture-o', 'className' => 'fa fa-picture-o'),
          array('name' => 'pie-chart', 'className' => 'fa fa-pie-chart'),
          array('name' => 'plane', 'className' => 'fa fa-plane'),
          array('name' => 'plug', 'className' => 'fa fa-plug'),
          array('name' => 'plus', 'className' => 'fa fa-plus'),
          array('name' => 'plus-circle', 'className' => 'fa fa-plus-circle'),
          array('name' => 'plus-square', 'className' => 'fa fa-plus-square'),
          array('name' => 'plus-square-o', 'className' => 'fa fa-plus-square-o'),
          array('name' => 'power-off', 'className' => 'fa fa-power-off'),
          array('name' => 'print', 'className' => 'fa fa-print'),
          array('name' => 'puzzle-piece', 'className' => 'fa fa-puzzle-piece'),
          array('name' => 'qrcode', 'className' => 'fa fa-qrcode'),
          array('name' => 'question', 'className' => 'fa fa-question'),
          array('name' => 'question-circle', 'className' => 'fa fa-question-circle'),
          array('name' => 'question-circle-o', 'className' => 'fa fa-question-circle-o'),
          array('name' => 'quote-left', 'className' => 'fa fa-quote-left'),
          array('name' => 'quote-right', 'className' => 'fa fa-quote-right'),
          array('name' => 'random', 'className' => 'fa fa-random'),
          array('name' => 'recycle', 'className' => 'fa fa-recycle'),
          array('name' => 'refresh', 'className' => 'fa fa-refresh'),
          array('name' => 'registered', 'className' => 'fa fa-registered'),
          array('name' => 'remove (alias)', 'className' => 'fa fa-remove'),
          array('name' => 'reorder (alias)', 'className' => 'fa fa-reorder'),
          array('name' => 'reply', 'className' => 'fa fa-reply'),
          array('name' => 'reply-all', 'className' => 'fa fa-reply-all'),
          array('name' => 'retweet', 'className' => 'fa fa-retweet'),
          array('name' => 'road', 'className' => 'fa fa-road'),
          array('name' => 'rocket', 'className' => 'fa fa-rocket'),
          array('name' => 'rss', 'className' => 'fa fa-rss'),
          array('name' => 'rss-square', 'className' => 'fa fa-rss-square'),
          array('name' => 'search', 'className' => 'fa fa-search'),
          array('name' => 'search-minus', 'className' => 'fa fa-search-minus'),
          array('name' => 'search-plus', 'className' => 'fa fa-search-plus'),
          array('name' => 'send (alias)', 'className' => 'fa fa-send'),
          array('name' => 'send-o (alias)', 'className' => 'fa fa-send-o'),
          array('name' => 'server', 'className' => 'fa fa-server'),
          array('name' => 'share', 'className' => 'fa fa-share'),
          array('name' => 'share-alt', 'className' => 'fa fa-share-alt'),
          array('name' => 'share-alt-square', 'className' => 'fa fa-share-alt-square'),
          array('name' => 'share-square', 'className' => 'fa fa-share-square'),
          array('name' => 'share-square-o', 'className' => 'fa fa-share-square-o'),
          array('name' => 'shield', 'className' => 'fa fa-shield'),
          array('name' => 'ship', 'className' => 'fa fa-ship'),
          array('name' => 'shopping-bag', 'className' => 'fa fa-shopping-bag'),
          array('name' => 'shopping-basket', 'className' => 'fa fa-shopping-basket'),
          array('name' => 'shopping-cart', 'className' => 'fa fa-shopping-cart'),
          array('name' => 'sign-in', 'className' => 'fa fa-sign-in'),
          array('name' => 'sign-language', 'className' => 'fa fa-sign-language'),
          array('name' => 'sign-out', 'className' => 'fa fa-sign-out'),
          array('name' => 'signal', 'className' => 'fa fa-signal'),
          array('name' => 'signing (alias)', 'className' => 'fa fa-signing'),
          array('name' => 'sitemap', 'className' => 'fa fa-sitemap'),
          array('name' => 'sliders', 'className' => 'fa fa-sliders'),
          array('name' => 'smile-o', 'className' => 'fa fa-smile-o'),
          array('name' => 'soccer-ball-o (alias)', 'className' => 'fa fa-soccer-ball-o'),
          array('name' => 'sort', 'className' => 'fa fa-sort'),
          array('name' => 'sort-alpha-asc', 'className' => 'fa fa-sort-alpha-asc'),
          array('name' => 'sort-alpha-desc', 'className' => 'fa fa-sort-alpha-desc'),
          array('name' => 'sort-amount-asc', 'className' => 'fa fa-sort-amount-asc'),
          array('name' => 'sort-amount-desc', 'className' => 'fa fa-sort-amount-desc'),
          array('name' => 'sort-asc', 'className' => 'fa fa-sort-asc'),
          array('name' => 'sort-desc', 'className' => 'fa fa-sort-desc'),
          array('name' => 'sort-down (alias)', 'className' => 'fa fa-sort-down'),
          array('name' => 'sort-numeric-asc', 'className' => 'fa fa-sort-numeric-asc'),
          array('name' => 'sort-numeric-desc', 'className' => 'fa fa-sort-numeric-desc'),
          array('name' => 'sort-up (alias)', 'className' => 'fa fa-sort-up'),
          array('name' => 'space-shuttle', 'className' => 'fa fa-space-shuttle'),
          array('name' => 'spinner', 'className' => 'fa fa-spinner'),
          array('name' => 'spoon', 'className' => 'fa fa-spoon'),
          array('name' => 'square', 'className' => 'fa fa-square'),
          array('name' => 'square-o', 'className' => 'fa fa-square-o'),
          array('name' => 'star', 'className' => 'fa fa-star'),
          array('name' => 'star-half', 'className' => 'fa fa-star-half'),
          array('name' => 'star-half-empty (alias)', 'className' => 'fa fa-star-half-empty'),
          array('name' => 'star-half-full (alias)', 'className' => 'fa fa-star-half-full'),
          array('name' => 'star-half-o', 'className' => 'fa fa-star-half-o'),
          array('name' => 'star-o', 'className' => 'fa fa-star-o'),
          array('name' => 'sticky-note', 'className' => 'fa fa-sticky-note'),
          array('name' => 'sticky-note-o', 'className' => 'fa fa-sticky-note-o'),
          array('name' => 'street-view', 'className' => 'fa fa-street-view'),
          array('name' => 'suitcase', 'className' => 'fa fa-suitcase'),
          array('name' => 'sun-o', 'className' => 'fa fa-sun-o'),
          array('name' => 'support (alias)', 'className' => 'fa fa-support'),
          array('name' => 'tablet', 'className' => 'fa fa-tablet'),
          array('name' => 'tachometer', 'className' => 'fa fa-tachometer'),
          array('name' => 'tag', 'className' => 'fa fa-tag'),
          array('name' => 'tags', 'className' => 'fa fa-tags'),
          array('name' => 'tasks', 'className' => 'fa fa-tasks'),
          array('name' => 'taxi', 'className' => 'fa fa-taxi'),
          array('name' => 'television', 'className' => 'fa fa-television'),
          array('name' => 'terminal', 'className' => 'fa fa-terminal'),
          array('name' => 'thumb-tack', 'className' => 'fa fa-thumb-tack'),
          array('name' => 'thumbs-down', 'className' => 'fa fa-thumbs-down'),
          array('name' => 'thumbs-o-down', 'className' => 'fa fa-thumbs-o-down'),
          array('name' => 'thumbs-o-up', 'className' => 'fa fa-thumbs-o-up'),
          array('name' => 'thumbs-up', 'className' => 'fa fa-thumbs-up'),
          array('name' => 'ticket', 'className' => 'fa fa-ticket'),
          array('name' => 'times', 'className' => 'fa fa-times'),
          array('name' => 'times-circle', 'className' => 'fa fa-times-circle'),
          array('name' => 'times-circle-o', 'className' => 'fa fa-times-circle-o'),
          array('name' => 'tint', 'className' => 'fa fa-tint'),
          array('name' => 'toggle-down (alias)', 'className' => 'fa fa-toggle-down'),
          array('name' => 'toggle-left (alias)', 'className' => 'fa fa-toggle-left'),
          array('name' => 'toggle-off', 'className' => 'fa fa-toggle-off'),
          array('name' => 'toggle-on', 'className' => 'fa fa-toggle-on'),
          array('name' => 'toggle-right (alias)', 'className' => 'fa fa-toggle-right'),
          array('name' => 'toggle-up (alias)', 'className' => 'fa fa-toggle-up'),
          array('name' => 'trademark', 'className' => 'fa fa-trademark'),
          array('name' => 'trash', 'className' => 'fa fa-trash'),
          array('name' => 'trash-o', 'className' => 'fa fa-trash-o'),
          array('name' => 'tree', 'className' => 'fa fa-tree'),
          array('name' => 'trophy', 'className' => 'fa fa-trophy'),
          array('name' => 'truck', 'className' => 'fa fa-truck'),
          array('name' => 'tty', 'className' => 'fa fa-tty'),
          array('name' => 'tv (alias)', 'className' => 'fa fa-tv'),
          array('name' => 'umbrella', 'className' => 'fa fa-umbrella'),
          array('name' => 'universal-access', 'className' => 'fa fa-universal-access'),
          array('name' => 'university', 'className' => 'fa fa-university'),
          array('name' => 'unlock', 'className' => 'fa fa-unlock'),
          array('name' => 'unlock-alt', 'className' => 'fa fa-unlock-alt'),
          array('name' => 'unsorted (alias)', 'className' => 'fa fa-unsorted'),
          array('name' => 'upload', 'className' => 'fa fa-upload'),
          array('name' => 'user', 'className' => 'fa fa-user'),
          array('name' => 'user-plus', 'className' => 'fa fa-user-plus'),
          array('name' => 'user-secret', 'className' => 'fa fa-user-secret'),
          array('name' => 'user-times', 'className' => 'fa fa-user-times'),
          array('name' => 'users', 'className' => 'fa fa-users'),
          array('name' => 'video-camera', 'className' => 'fa fa-video-camera'),
          array('name' => 'volume-control-phone', 'className' => 'fa fa-volume-control-phone'),
          array('name' => 'volume-down', 'className' => 'fa fa-volume-down'),
          array('name' => 'volume-off', 'className' => 'fa fa-volume-off'),
          array('name' => 'volume-up', 'className' => 'fa fa-volume-up'),
          array('name' => 'warning (alias)', 'className' => 'fa fa-warning'),
          array('name' => 'wheelchair', 'className' => 'fa fa-wheelchair'),
          array('name' => 'wheelchair-alt', 'className' => 'fa fa-wheelchair-alt'),
          array('name' => 'wifi', 'className' => 'fa fa-wifi'),
          array('name' => 'wrench', 'className' => 'fa fa-wrench'),
          array('name' => 'american-sign-language-interpreting', 'className' => 'fa fa-american-sign-language-interpreting'),
          array('name' => 'asl-interpreting (alias)', 'className' => 'fa fa-asl-interpreting'),
          array('name' => 'assistive-listening-systems', 'className' => 'fa fa-assistive-listening-systems'),
          array('name' => 'audio-description', 'className' => 'fa fa-audio-description'),
          array('name' => 'blind', 'className' => 'fa fa-blind'),
          array('name' => 'braille', 'className' => 'fa fa-braille'),
          array('name' => 'cc', 'className' => 'fa fa-cc'),
          array('name' => 'deaf', 'className' => 'fa fa-deaf'),
          array('name' => 'deafness (alias)', 'className' => 'fa fa-deafness'),
          array('name' => 'hard-of-hearing (alias)', 'className' => 'fa fa-hard-of-hearing'),
          array('name' => 'low-vision', 'className' => 'fa fa-low-vision'),
          array('name' => 'question-circle-o', 'className' => 'fa fa-question-circle-o'),
          array('name' => 'sign-language', 'className' => 'fa fa-sign-language'),
          array('name' => 'signing (alias)', 'className' => 'fa fa-signing'),
          array('name' => 'tty', 'className' => 'fa fa-tty'),
          array('name' => 'universal-access', 'className' => 'fa fa-universal-access'),
          array('name' => 'volume-control-phone', 'className' => 'fa fa-volume-control-phone'),
          array('name' => 'wheelchair', 'className' => 'fa fa-wheelchair'),
          array('name' => 'wheelchair-alt', 'className' => 'fa fa-wheelchair-alt'),
          array('name' => 'hand-grab-o (alias)', 'className' => 'fa fa-hand-grab-o'),
          array('name' => 'hand-lizard-o', 'className' => 'fa fa-hand-lizard-o'),
          array('name' => 'hand-o-down', 'className' => 'fa fa-hand-o-down'),
          array('name' => 'hand-o-left', 'className' => 'fa fa-hand-o-left'),
          array('name' => 'hand-o-right', 'className' => 'fa fa-hand-o-right'),
          array('name' => 'hand-o-up', 'className' => 'fa fa-hand-o-up'),
          array('name' => 'hand-paper-o', 'className' => 'fa fa-hand-paper-o'),
          array('name' => 'hand-peace-o', 'className' => 'fa fa-hand-peace-o'),
          array('name' => 'hand-pointer-o', 'className' => 'fa fa-hand-pointer-o'),
          array('name' => 'hand-rock-o', 'className' => 'fa fa-hand-rock-o'),
          array('name' => 'hand-scissors-o', 'className' => 'fa fa-hand-scissors-o'),
          array('name' => 'hand-spock-o', 'className' => 'fa fa-hand-spock-o'),
          array('name' => 'hand-stop-o (alias)', 'className' => 'fa fa-hand-stop-o'),
          array('name' => 'thumbs-down', 'className' => 'fa fa-thumbs-down'),
          array('name' => 'thumbs-o-down', 'className' => 'fa fa-thumbs-o-down'),
          array('name' => 'thumbs-o-up', 'className' => 'fa fa-thumbs-o-up'),
          array('name' => 'thumbs-up', 'className' => 'fa fa-thumbs-up'),
          array('name' => 'ambulance', 'className' => 'fa fa-ambulance'),
          array('name' => 'automobile (alias)', 'className' => 'fa fa-automobile'),
          array('name' => 'bicycle', 'className' => 'fa fa-bicycle'),
          array('name' => 'bus', 'className' => 'fa fa-bus'),
          array('name' => 'cab (alias)', 'className' => 'fa fa-cab'),
          array('name' => 'car', 'className' => 'fa fa-car'),
          array('name' => 'fighter-jet', 'className' => 'fa fa-fighter-jet'),
          array('name' => 'motorcycle', 'className' => 'fa fa-motorcycle'),
          array('name' => 'plane', 'className' => 'fa fa-plane'),
          array('name' => 'rocket', 'className' => 'fa fa-rocket'),
          array('name' => 'ship', 'className' => 'fa fa-ship'),
          array('name' => 'space-shuttle', 'className' => 'fa fa-space-shuttle'),
          array('name' => 'subway', 'className' => 'fa fa-subway'),
          array('name' => 'taxi', 'className' => 'fa fa-taxi'),
          array('name' => 'train', 'className' => 'fa fa-train'),
          array('name' => 'truck', 'className' => 'fa fa-truck'),
          array('name' => 'wheelchair', 'className' => 'fa fa-wheelchair'),
          array('name' => 'wheelchair-alt', 'className' => 'fa fa-wheelchair-alt'),
          array('name' => 'genderless', 'className' => 'fa fa-genderless'),
          array('name' => 'intersex (alias)', 'className' => 'fa fa-intersex'),
          array('name' => 'mars', 'className' => 'fa fa-mars'),
          array('name' => 'mars-double', 'className' => 'fa fa-mars-double'),
          array('name' => 'mars-stroke', 'className' => 'fa fa-mars-stroke'),
          array('name' => 'mars-stroke-h', 'className' => 'fa fa-mars-stroke-h'),
          array('name' => 'mars-stroke-v', 'className' => 'fa fa-mars-stroke-v'),
          array('name' => 'mercury', 'className' => 'fa fa-mercury'),
          array('name' => 'neuter', 'className' => 'fa fa-neuter'),
          array('name' => 'transgender', 'className' => 'fa fa-transgender'),
          array('name' => 'transgender-alt', 'className' => 'fa fa-transgender-alt'),
          array('name' => 'venus', 'className' => 'fa fa-venus'),
          array('name' => 'venus-double', 'className' => 'fa fa-venus-double'),
          array('name' => 'venus-mars', 'className' => 'fa fa-venus-mars'),
          array('name' => 'file', 'className' => 'fa fa-file'),
          array('name' => 'file-archive-o', 'className' => 'fa fa-file-archive-o'),
          array('name' => 'file-audio-o', 'className' => 'fa fa-file-audio-o'),
          array('name' => 'file-code-o', 'className' => 'fa fa-file-code-o'),
          array('name' => 'file-excel-o', 'className' => 'fa fa-file-excel-o'),
          array('name' => 'file-image-o', 'className' => 'fa fa-file-image-o'),
          array('name' => 'file-movie-o (alias)', 'className' => 'fa fa-file-movie-o'),
          array('name' => 'file-o', 'className' => 'fa fa-file-o'),
          array('name' => 'file-pdf-o', 'className' => 'fa fa-file-pdf-o'),
          array('name' => 'file-photo-o (alias)', 'className' => 'fa fa-file-photo-o'),
          array('name' => 'file-picture-o (alias)', 'className' => 'fa fa-file-picture-o'),
          array('name' => 'file-powerpoint-o', 'className' => 'fa fa-file-powerpoint-o'),
          array('name' => 'file-sound-o (alias)', 'className' => 'fa fa-file-sound-o'),
          array('name' => 'file-text', 'className' => 'fa fa-file-text'),
          array('name' => 'file-text-o', 'className' => 'fa fa-file-text-o'),
          array('name' => 'file-video-o', 'className' => 'fa fa-file-video-o'),
          array('name' => 'file-word-o', 'className' => 'fa fa-file-word-o'),
          array('name' => 'file-zip-o (alias)', 'className' => 'fa fa-file-zip-o'),
          array('name' => 'spinning icons example', 'className' => 'undefined'),
          array('name' => 'circle-o-notch', 'className' => 'fa fa-circle-o-notch'),
          array('name' => 'cog', 'className' => 'fa fa-cog'),
          array('name' => 'gear (alias)', 'className' => 'fa fa-gear'),
          array('name' => 'refresh', 'className' => 'fa fa-refresh'),
          array('name' => 'spinner', 'className' => 'fa fa-spinner'),
          array('name' => 'check-square', 'className' => 'fa fa-check-square'),
          array('name' => 'check-square-o', 'className' => 'fa fa-check-square-o'),
          array('name' => 'circle', 'className' => 'fa fa-circle'),
          array('name' => 'circle-o', 'className' => 'fa fa-circle-o'),
          array('name' => 'dot-circle-o', 'className' => 'fa fa-dot-circle-o'),
          array('name' => 'minus-square', 'className' => 'fa fa-minus-square'),
          array('name' => 'minus-square-o', 'className' => 'fa fa-minus-square-o'),
          array('name' => 'plus-square', 'className' => 'fa fa-plus-square'),
          array('name' => 'plus-square-o', 'className' => 'fa fa-plus-square-o'),
          array('name' => 'square', 'className' => 'fa fa-square'),
          array('name' => 'square-o', 'className' => 'fa fa-square-o'),
          array('name' => 'cc-amex', 'className' => 'fa fa-cc-amex'),
          array('name' => 'cc-diners-club', 'className' => 'fa fa-cc-diners-club'),
          array('name' => 'cc-discover', 'className' => 'fa fa-cc-discover'),
          array('name' => 'cc-jcb', 'className' => 'fa fa-cc-jcb'),
          array('name' => 'cc-mastercard', 'className' => 'fa fa-cc-mastercard'),
          array('name' => 'cc-paypal', 'className' => 'fa fa-cc-paypal'),
          array('name' => 'cc-stripe', 'className' => 'fa fa-cc-stripe'),
          array('name' => 'cc-visa', 'className' => 'fa fa-cc-visa'),
          array('name' => 'credit-card', 'className' => 'fa fa-credit-card'),
          array('name' => 'credit-card-alt', 'className' => 'fa fa-credit-card-alt'),
          array('name' => 'google-wallet', 'className' => 'fa fa-google-wallet'),
          array('name' => 'paypal', 'className' => 'fa fa-paypal'),
          array('name' => 'area-chart', 'className' => 'fa fa-area-chart'),
          array('name' => 'bar-chart', 'className' => 'fa fa-bar-chart'),
          array('name' => 'bar-chart-o (alias)', 'className' => 'fa fa-bar-chart-o'),
          array('name' => 'line-chart', 'className' => 'fa fa-line-chart'),
          array('name' => 'pie-chart', 'className' => 'fa fa-pie-chart'),
          array('name' => 'bitcoin (alias)', 'className' => 'fa fa-bitcoin'),
          array('name' => 'btc', 'className' => 'fa fa-btc'),
          array('name' => 'cny (alias)', 'className' => 'fa fa-cny'),
          array('name' => 'dollar (alias)', 'className' => 'fa fa-dollar'),
          array('name' => 'eur', 'className' => 'fa fa-eur'),
          array('name' => 'euro (alias)', 'className' => 'fa fa-euro'),
          array('name' => 'gbp', 'className' => 'fa fa-gbp'),
          array('name' => 'gg', 'className' => 'fa fa-gg'),
          array('name' => 'gg-circle', 'className' => 'fa fa-gg-circle'),
          array('name' => 'ils', 'className' => 'fa fa-ils'),
          array('name' => 'inr', 'className' => 'fa fa-inr'),
          array('name' => 'jpy', 'className' => 'fa fa-jpy'),
          array('name' => 'krw', 'className' => 'fa fa-krw'),
          array('name' => 'money', 'className' => 'fa fa-money'),
          array('name' => 'rmb (alias)', 'className' => 'fa fa-rmb'),
          array('name' => 'rouble (alias)', 'className' => 'fa fa-rouble'),
          array('name' => 'rub', 'className' => 'fa fa-rub'),
          array('name' => 'ruble (alias)', 'className' => 'fa fa-ruble'),
          array('name' => 'rupee (alias)', 'className' => 'fa fa-rupee'),
          array('name' => 'shekel (alias)', 'className' => 'fa fa-shekel'),
          array('name' => 'sheqel (alias)', 'className' => 'fa fa-sheqel'),
          array('name' => 'try', 'className' => 'fa fa-try'),
          array('name' => 'turkish-lira (alias)', 'className' => 'fa fa-turkish-lira'),
          array('name' => 'usd', 'className' => 'fa fa-usd'),
          array('name' => 'won (alias)', 'className' => 'fa fa-won'),
          array('name' => 'yen (alias)', 'className' => 'fa fa-yen'),
          array('name' => 'align-center', 'className' => 'fa fa-align-center'),
          array('name' => 'align-justify', 'className' => 'fa fa-align-justify'),
          array('name' => 'align-left', 'className' => 'fa fa-align-left'),
          array('name' => 'align-right', 'className' => 'fa fa-align-right'),
          array('name' => 'bold', 'className' => 'fa fa-bold'),
          array('name' => 'chain (alias)', 'className' => 'fa fa-chain'),
          array('name' => 'chain-broken', 'className' => 'fa fa-chain-broken'),
          array('name' => 'clipboard', 'className' => 'fa fa-clipboard'),
          array('name' => 'columns', 'className' => 'fa fa-columns'),
          array('name' => 'copy (alias)', 'className' => 'fa fa-copy'),
          array('name' => 'cut (alias)', 'className' => 'fa fa-cut'),
          array('name' => 'dedent (alias)', 'className' => 'fa fa-dedent'),
          array('name' => 'eraser', 'className' => 'fa fa-eraser'),
          array('name' => 'file', 'className' => 'fa fa-file'),
          array('name' => 'file-o', 'className' => 'fa fa-file-o'),
          array('name' => 'file-text', 'className' => 'fa fa-file-text'),
          array('name' => 'file-text-o', 'className' => 'fa fa-file-text-o'),
          array('name' => 'files-o', 'className' => 'fa fa-files-o'),
          array('name' => 'floppy-o', 'className' => 'fa fa-floppy-o'),
          array('name' => 'font', 'className' => 'fa fa-font'),
          array('name' => 'header', 'className' => 'fa fa-header'),
          array('name' => 'indent', 'className' => 'fa fa-indent'),
          array('name' => 'italic', 'className' => 'fa fa-italic'),
          array('name' => 'link', 'className' => 'fa fa-link'),
          array('name' => 'list', 'className' => 'fa fa-list'),
          array('name' => 'list-alt', 'className' => 'fa fa-list-alt'),
          array('name' => 'list-ol', 'className' => 'fa fa-list-ol'),
          array('name' => 'list-ul', 'className' => 'fa fa-list-ul'),
          array('name' => 'outdent', 'className' => 'fa fa-outdent'),
          array('name' => 'paperclip', 'className' => 'fa fa-paperclip'),
          array('name' => 'paragraph', 'className' => 'fa fa-paragraph'),
          array('name' => 'paste (alias)', 'className' => 'fa fa-paste'),
          array('name' => 'repeat', 'className' => 'fa fa-repeat'),
          array('name' => 'rotate-left (alias)', 'className' => 'fa fa-rotate-left'),
          array('name' => 'rotate-right (alias)', 'className' => 'fa fa-rotate-right'),
          array('name' => 'save (alias)', 'className' => 'fa fa-save'),
          array('name' => 'scissors', 'className' => 'fa fa-scissors'),
          array('name' => 'strikethrough', 'className' => 'fa fa-strikethrough'),
          array('name' => 'subscript', 'className' => 'fa fa-subscript'),
          array('name' => 'superscript', 'className' => 'fa fa-superscript'),
          array('name' => 'table', 'className' => 'fa fa-table'),
          array('name' => 'text-height', 'className' => 'fa fa-text-height'),
          array('name' => 'text-width', 'className' => 'fa fa-text-width'),
          array('name' => 'th', 'className' => 'fa fa-th'),
          array('name' => 'th-large', 'className' => 'fa fa-th-large'),
          array('name' => 'th-list', 'className' => 'fa fa-th-list'),
          array('name' => 'underline', 'className' => 'fa fa-underline'),
          array('name' => 'undo', 'className' => 'fa fa-undo'),
          array('name' => 'unlink (alias)', 'className' => 'fa fa-unlink'),
          array('name' => 'angle-double-down', 'className' => 'fa fa-angle-double-down'),
          array('name' => 'angle-double-left', 'className' => 'fa fa-angle-double-left'),
          array('name' => 'angle-double-right', 'className' => 'fa fa-angle-double-right'),
          array('name' => 'angle-double-up', 'className' => 'fa fa-angle-double-up'),
          array('name' => 'angle-down', 'className' => 'fa fa-angle-down'),
          array('name' => 'angle-left', 'className' => 'fa fa-angle-left'),
          array('name' => 'angle-right', 'className' => 'fa fa-angle-right'),
          array('name' => 'angle-up', 'className' => 'fa fa-angle-up'),
          array('name' => 'arrow-circle-down', 'className' => 'fa fa-arrow-circle-down'),
          array('name' => 'arrow-circle-left', 'className' => 'fa fa-arrow-circle-left'),
          array('name' => 'arrow-circle-o-down', 'className' => 'fa fa-arrow-circle-o-down'),
          array('name' => 'arrow-circle-o-left', 'className' => 'fa fa-arrow-circle-o-left'),
          array('name' => 'arrow-circle-o-right', 'className' => 'fa fa-arrow-circle-o-right'),
          array('name' => 'arrow-circle-o-up', 'className' => 'fa fa-arrow-circle-o-up'),
          array('name' => 'arrow-circle-right', 'className' => 'fa fa-arrow-circle-right'),
          array('name' => 'arrow-circle-up', 'className' => 'fa fa-arrow-circle-up'),
          array('name' => 'arrow-down', 'className' => 'fa fa-arrow-down'),
          array('name' => 'arrow-left', 'className' => 'fa fa-arrow-left'),
          array('name' => 'arrow-right', 'className' => 'fa fa-arrow-right'),
          array('name' => 'arrow-up', 'className' => 'fa fa-arrow-up'),
          array('name' => 'arrows', 'className' => 'fa fa-arrows'),
          array('name' => 'arrows-alt', 'className' => 'fa fa-arrows-alt'),
          array('name' => 'arrows-h', 'className' => 'fa fa-arrows-h'),
          array('name' => 'arrows-v', 'className' => 'fa fa-arrows-v'),
          array('name' => 'caret-down', 'className' => 'fa fa-caret-down'),
          array('name' => 'caret-left', 'className' => 'fa fa-caret-left'),
          array('name' => 'caret-right', 'className' => 'fa fa-caret-right'),
          array('name' => 'caret-square-o-down', 'className' => 'fa fa-caret-square-o-down'),
          array('name' => 'caret-square-o-left', 'className' => 'fa fa-caret-square-o-left'),
          array('name' => 'caret-square-o-right', 'className' => 'fa fa-caret-square-o-right'),
          array('name' => 'caret-square-o-up', 'className' => 'fa fa-caret-square-o-up'),
          array('name' => 'caret-up', 'className' => 'fa fa-caret-up'),
          array('name' => 'chevron-circle-down', 'className' => 'fa fa-chevron-circle-down'),
          array('name' => 'chevron-circle-left', 'className' => 'fa fa-chevron-circle-left'),
          array('name' => 'chevron-circle-right', 'className' => 'fa fa-chevron-circle-right'),
          array('name' => 'chevron-circle-up', 'className' => 'fa fa-chevron-circle-up'),
          array('name' => 'chevron-down', 'className' => 'fa fa-chevron-down'),
          array('name' => 'chevron-left', 'className' => 'fa fa-chevron-left'),
          array('name' => 'chevron-right', 'className' => 'fa fa-chevron-right'),
          array('name' => 'chevron-up', 'className' => 'fa fa-chevron-up'),
          array('name' => 'exchange', 'className' => 'fa fa-exchange'),
          array('name' => 'hand-o-down', 'className' => 'fa fa-hand-o-down'),
          array('name' => 'hand-o-left', 'className' => 'fa fa-hand-o-left'),
          array('name' => 'hand-o-right', 'className' => 'fa fa-hand-o-right'),
          array('name' => 'hand-o-up', 'className' => 'fa fa-hand-o-up'),
          array('name' => 'long-arrow-down', 'className' => 'fa fa-long-arrow-down'),
          array('name' => 'long-arrow-left', 'className' => 'fa fa-long-arrow-left'),
          array('name' => 'long-arrow-right', 'className' => 'fa fa-long-arrow-right'),
          array('name' => 'long-arrow-up', 'className' => 'fa fa-long-arrow-up'),
          array('name' => 'toggle-down (alias)', 'className' => 'fa fa-toggle-down'),
          array('name' => 'toggle-left (alias)', 'className' => 'fa fa-toggle-left'),
          array('name' => 'toggle-right (alias)', 'className' => 'fa fa-toggle-right'),
          array('name' => 'toggle-up (alias)', 'className' => 'fa fa-toggle-up'),
          array('name' => 'arrows-alt', 'className' => 'fa fa-arrows-alt'),
          array('name' => 'backward', 'className' => 'fa fa-backward'),
          array('name' => 'compress', 'className' => 'fa fa-compress'),
          array('name' => 'eject', 'className' => 'fa fa-eject'),
          array('name' => 'expand', 'className' => 'fa fa-expand'),
          array('name' => 'fast-backward', 'className' => 'fa fa-fast-backward'),
          array('name' => 'fast-forward', 'className' => 'fa fa-fast-forward'),
          array('name' => 'forward', 'className' => 'fa fa-forward'),
          array('name' => 'pause', 'className' => 'fa fa-pause'),
          array('name' => 'pause-circle', 'className' => 'fa fa-pause-circle'),
          array('name' => 'pause-circle-o', 'className' => 'fa fa-pause-circle-o'),
          array('name' => 'play', 'className' => 'fa fa-play'),
          array('name' => 'play-circle', 'className' => 'fa fa-play-circle'),
          array('name' => 'play-circle-o', 'className' => 'fa fa-play-circle-o'),
          array('name' => 'random', 'className' => 'fa fa-random'),
          array('name' => 'step-backward', 'className' => 'fa fa-step-backward'),
          array('name' => 'step-forward', 'className' => 'fa fa-step-forward'),
          array('name' => 'stop', 'className' => 'fa fa-stop'),
          array('name' => 'stop-circle', 'className' => 'fa fa-stop-circle'),
          array('name' => 'stop-circle-o', 'className' => 'fa fa-stop-circle-o'),
          array('name' => 'youtube-play', 'className' => 'fa fa-youtube-play'),
          array('name' => 'report an issue with Adblock Plus', 'className' => 'undefined'),
          array('name' => '500px', 'className' => 'fa fa-500px'),
          array('name' => 'adn', 'className' => 'fa fa-adn'),
          array('name' => 'amazon', 'className' => 'fa fa-amazon'),
          array('name' => 'android', 'className' => 'fa fa-android'),
          array('name' => 'angellist', 'className' => 'fa fa-angellist'),
          array('name' => 'apple', 'className' => 'fa fa-apple'),
          array('name' => 'behance', 'className' => 'fa fa-behance'),
          array('name' => 'behance-square', 'className' => 'fa fa-behance-square'),
          array('name' => 'bitbucket', 'className' => 'fa fa-bitbucket'),
          array('name' => 'bitbucket-square', 'className' => 'fa fa-bitbucket-square'),
          array('name' => 'bitcoin (alias)', 'className' => 'fa fa-bitcoin'),
          array('name' => 'black-tie', 'className' => 'fa fa-black-tie'),
          array('name' => 'bluetooth', 'className' => 'fa fa-bluetooth'),
          array('name' => 'bluetooth-b', 'className' => 'fa fa-bluetooth-b'),
          array('name' => 'btc', 'className' => 'fa fa-btc'),
          array('name' => 'buysellads', 'className' => 'fa fa-buysellads'),
          array('name' => 'cc-amex', 'className' => 'fa fa-cc-amex'),
          array('name' => 'cc-diners-club', 'className' => 'fa fa-cc-diners-club'),
          array('name' => 'cc-discover', 'className' => 'fa fa-cc-discover'),
          array('name' => 'cc-jcb', 'className' => 'fa fa-cc-jcb'),
          array('name' => 'cc-mastercard', 'className' => 'fa fa-cc-mastercard'),
          array('name' => 'cc-paypal', 'className' => 'fa fa-cc-paypal'),
          array('name' => 'cc-stripe', 'className' => 'fa fa-cc-stripe'),
          array('name' => 'cc-visa', 'className' => 'fa fa-cc-visa'),
          array('name' => 'chrome', 'className' => 'fa fa-chrome'),
          array('name' => 'codepen', 'className' => 'fa fa-codepen'),
          array('name' => 'codiepie', 'className' => 'fa fa-codiepie'),
          array('name' => 'connectdevelop', 'className' => 'fa fa-connectdevelop'),
          array('name' => 'contao', 'className' => 'fa fa-contao'),
          array('name' => 'css3', 'className' => 'fa fa-css3'),
          array('name' => 'dashcube', 'className' => 'fa fa-dashcube'),
          array('name' => 'delicious', 'className' => 'fa fa-delicious'),
          array('name' => 'deviantart', 'className' => 'fa fa-deviantart'),
          array('name' => 'digg', 'className' => 'fa fa-digg'),
          array('name' => 'dribbble', 'className' => 'fa fa-dribbble'),
          array('name' => 'dropbox', 'className' => 'fa fa-dropbox'),
          array('name' => 'drupal', 'className' => 'fa fa-drupal'),
          array('name' => 'edge', 'className' => 'fa fa-edge'),
          array('name' => 'empire', 'className' => 'fa fa-empire'),
          array('name' => 'envira', 'className' => 'fa fa-envira'),
          array('name' => 'expeditedssl', 'className' => 'fa fa-expeditedssl'),
          array('name' => 'fa (alias)', 'className' => 'fa fa-fa'),
          array('name' => 'facebook', 'className' => 'fa fa-facebook'),
          array('name' => 'facebook-f (alias)', 'className' => 'fa fa-facebook-f'),
          array('name' => 'facebook-official', 'className' => 'fa fa-facebook-official'),
          array('name' => 'facebook-square', 'className' => 'fa fa-facebook-square'),
          array('name' => 'firefox', 'className' => 'fa fa-firefox'),
          array('name' => 'first-order', 'className' => 'fa fa-first-order'),
          array('name' => 'flickr', 'className' => 'fa fa-flickr'),
          array('name' => 'font-awesome', 'className' => 'fa fa-font-awesome'),
          array('name' => 'fonticons', 'className' => 'fa fa-fonticons'),
          array('name' => 'fort-awesome', 'className' => 'fa fa-fort-awesome'),
          array('name' => 'forumbee', 'className' => 'fa fa-forumbee'),
          array('name' => 'foursquare', 'className' => 'fa fa-foursquare'),
          array('name' => 'ge (alias)', 'className' => 'fa fa-ge'),
          array('name' => 'get-pocket', 'className' => 'fa fa-get-pocket'),
          array('name' => 'gg', 'className' => 'fa fa-gg'),
          array('name' => 'gg-circle', 'className' => 'fa fa-gg-circle'),
          array('name' => 'git', 'className' => 'fa fa-git'),
          array('name' => 'git-square', 'className' => 'fa fa-git-square'),
          array('name' => 'github', 'className' => 'fa fa-github'),
          array('name' => 'github-alt', 'className' => 'fa fa-github-alt'),
          array('name' => 'github-square', 'className' => 'fa fa-github-square'),
          array('name' => 'gitlab', 'className' => 'fa fa-gitlab'),
          array('name' => 'gittip (alias)', 'className' => 'fa fa-gittip'),
          array('name' => 'glide', 'className' => 'fa fa-glide'),
          array('name' => 'glide-g', 'className' => 'fa fa-glide-g'),
          array('name' => 'google', 'className' => 'fa fa-google'),
          array('name' => 'google-plus', 'className' => 'fa fa-google-plus'),
          array('name' => 'google-plus-circle (alias)', 'className' => 'fa fa-google-plus-circle'),
          array('name' => 'google-plus-official', 'className' => 'fa fa-google-plus-official'),
          array('name' => 'google-plus-square', 'className' => 'fa fa-google-plus-square'),
          array('name' => 'google-wallet', 'className' => 'fa fa-google-wallet'),
          array('name' => 'gratipay', 'className' => 'fa fa-gratipay'),
          array('name' => 'hacker-news', 'className' => 'fa fa-hacker-news'),
          array('name' => 'houzz', 'className' => 'fa fa-houzz'),
          array('name' => 'html5', 'className' => 'fa fa-html5'),
          array('name' => 'instagram', 'className' => 'fa fa-instagram'),
          array('name' => 'internet-explorer', 'className' => 'fa fa-internet-explorer'),
          array('name' => 'ioxhost', 'className' => 'fa fa-ioxhost'),
          array('name' => 'joomla', 'className' => 'fa fa-joomla'),
          array('name' => 'jsfiddle', 'className' => 'fa fa-jsfiddle'),
          array('name' => 'lastfm', 'className' => 'fa fa-lastfm'),
          array('name' => 'lastfm-square', 'className' => 'fa fa-lastfm-square'),
          array('name' => 'leanpub', 'className' => 'fa fa-leanpub'),
          array('name' => 'linkedin', 'className' => 'fa fa-linkedin'),
          array('name' => 'linkedin-square', 'className' => 'fa fa-linkedin-square'),
          array('name' => 'linux', 'className' => 'fa fa-linux'),
          array('name' => 'maxcdn', 'className' => 'fa fa-maxcdn'),
          array('name' => 'meanpath', 'className' => 'fa fa-meanpath'),
          array('name' => 'medium', 'className' => 'fa fa-medium'),
          array('name' => 'mixcloud', 'className' => 'fa fa-mixcloud'),
          array('name' => 'modx', 'className' => 'fa fa-modx'),
          array('name' => 'odnoklassniki', 'className' => 'fa fa-odnoklassniki'),
          array('name' => 'odnoklassniki-square', 'className' => 'fa fa-odnoklassniki-square'),
          array('name' => 'opencart', 'className' => 'fa fa-opencart'),
          array('name' => 'openid', 'className' => 'fa fa-openid'),
          array('name' => 'opera', 'className' => 'fa fa-opera'),
          array('name' => 'optin-monster', 'className' => 'fa fa-optin-monster'),
          array('name' => 'pagelines', 'className' => 'fa fa-pagelines'),
          array('name' => 'paypal', 'className' => 'fa fa-paypal'),
          array('name' => 'pied-piper', 'className' => 'fa fa-pied-piper'),
          array('name' => 'pied-piper-alt', 'className' => 'fa fa-pied-piper-alt'),
          array('name' => 'pied-piper-pp', 'className' => 'fa fa-pied-piper-pp'),
          array('name' => 'pinterest', 'className' => 'fa fa-pinterest'),
          array('name' => 'pinterest-p', 'className' => 'fa fa-pinterest-p'),
          array('name' => 'pinterest-square', 'className' => 'fa fa-pinterest-square'),
          array('name' => 'product-hunt', 'className' => 'fa fa-product-hunt'),
          array('name' => 'qq', 'className' => 'fa fa-qq'),
          array('name' => 'ra (alias)', 'className' => 'fa fa-ra'),
          array('name' => 'rebel', 'className' => 'fa fa-rebel'),
          array('name' => 'reddit', 'className' => 'fa fa-reddit'),
          array('name' => 'reddit-alien', 'className' => 'fa fa-reddit-alien'),
          array('name' => 'reddit-square', 'className' => 'fa fa-reddit-square'),
          array('name' => 'renren', 'className' => 'fa fa-renren'),
          array('name' => 'resistance (alias)', 'className' => 'fa fa-resistance'),
          array('name' => 'safari', 'className' => 'fa fa-safari'),
          array('name' => 'scribd', 'className' => 'fa fa-scribd'),
          array('name' => 'sellsy', 'className' => 'fa fa-sellsy'),
          array('name' => 'share-alt', 'className' => 'fa fa-share-alt'),
          array('name' => 'share-alt-square', 'className' => 'fa fa-share-alt-square'),
          array('name' => 'shirtsinbulk', 'className' => 'fa fa-shirtsinbulk'),
          array('name' => 'simplybuilt', 'className' => 'fa fa-simplybuilt'),
          array('name' => 'skyatlas', 'className' => 'fa fa-skyatlas'),
          array('name' => 'skype', 'className' => 'fa fa-skype'),
          array('name' => 'slack', 'className' => 'fa fa-slack'),
          array('name' => 'slideshare', 'className' => 'fa fa-slideshare'),
          array('name' => 'snapchat', 'className' => 'fa fa-snapchat'),
          array('name' => 'snapchat-ghost', 'className' => 'fa fa-snapchat-ghost'),
          array('name' => 'snapchat-square', 'className' => 'fa fa-snapchat-square'),
          array('name' => 'soundcloud', 'className' => 'fa fa-soundcloud'),
          array('name' => 'spotify', 'className' => 'fa fa-spotify'),
          array('name' => 'stack-exchange', 'className' => 'fa fa-stack-exchange'),
          array('name' => 'stack-overflow', 'className' => 'fa fa-stack-overflow'),
          array('name' => 'steam', 'className' => 'fa fa-steam'),
          array('name' => 'steam-square', 'className' => 'fa fa-steam-square'),
          array('name' => 'stumbleupon', 'className' => 'fa fa-stumbleupon'),
          array('name' => 'stumbleupon-circle', 'className' => 'fa fa-stumbleupon-circle'),
          array('name' => 'tencent-weibo', 'className' => 'fa fa-tencent-weibo'),
          array('name' => 'themeisle', 'className' => 'fa fa-themeisle'),
          array('name' => 'trello', 'className' => 'fa fa-trello'),
          array('name' => 'tripadvisor', 'className' => 'fa fa-tripadvisor'),
          array('name' => 'tumblr', 'className' => 'fa fa-tumblr'),
          array('name' => 'tumblr-square', 'className' => 'fa fa-tumblr-square'),
          array('name' => 'twitch', 'className' => 'fa fa-twitch'),
          array('name' => 'twitter', 'className' => 'fa fa-twitter'),
          array('name' => 'twitter-square', 'className' => 'fa fa-twitter-square'),
          array('name' => 'usb', 'className' => 'fa fa-usb'),
          array('name' => 'viacoin', 'className' => 'fa fa-viacoin'),
          array('name' => 'viadeo', 'className' => 'fa fa-viadeo'),
          array('name' => 'viadeo-square', 'className' => 'fa fa-viadeo-square'),
          array('name' => 'vimeo', 'className' => 'fa fa-vimeo'),
          array('name' => 'vimeo-square', 'className' => 'fa fa-vimeo-square'),
          array('name' => 'vine', 'className' => 'fa fa-vine'),
          array('name' => 'vk', 'className' => 'fa fa-vk'),
          array('name' => 'wechat (alias)', 'className' => 'fa fa-wechat'),
          array('name' => 'weibo', 'className' => 'fa fa-weibo'),
          array('name' => 'weixin', 'className' => 'fa fa-weixin'),
          array('name' => 'whatsapp', 'className' => 'fa fa-whatsapp'),
          array('name' => 'wikipedia-w', 'className' => 'fa fa-wikipedia-w'),
          array('name' => 'windows', 'className' => 'fa fa-windows'),
          array('name' => 'wordpress', 'className' => 'fa fa-wordpress'),
          array('name' => 'wpbeginner', 'className' => 'fa fa-wpbeginner'),
          array('name' => 'wpforms', 'className' => 'fa fa-wpforms'),
          array('name' => 'xing', 'className' => 'fa fa-xing'),
          array('name' => 'xing-square', 'className' => 'fa fa-xing-square'),
          array('name' => 'y-combinator', 'className' => 'fa fa-y-combinator'),
          array('name' => 'y-combinator-square (alias)', 'className' => 'fa fa-y-combinator-square'),
          array('name' => 'yahoo', 'className' => 'fa fa-yahoo'),
          array('name' => 'yc (alias)', 'className' => 'fa fa-yc'),
          array('name' => 'yc-square (alias)', 'className' => 'fa fa-yc-square'),
          array('name' => 'yelp', 'className' => 'fa fa-yelp'),
          array('name' => 'yoast', 'className' => 'fa fa-yoast'),
          array('name' => 'youtube', 'className' => 'fa fa-youtube'),
          array('name' => 'youtube-play', 'className' => 'fa fa-youtube-play'),
          array('name' => 'youtube-square', 'className' => 'fa fa-youtube-square'),
          array('name' => 'ambulance', 'className' => 'fa fa-ambulance'),
          array('name' => 'h-square', 'className' => 'fa fa-h-square'),
          array('name' => 'heart', 'className' => 'fa fa-heart'),
          array('name' => 'heart-o', 'className' => 'fa fa-heart-o'),
          array('name' => 'heartbeat', 'className' => 'fa fa-heartbeat'),
          array('name' => 'hospital-o', 'className' => 'fa fa-hospital-o'),
          array('name' => 'medkit', 'className' => 'fa fa-medkit'),
          array('name' => 'plus-square', 'className' => 'fa fa-plus-square'),
          array('name' => 'stethoscope', 'className' => 'fa fa-stethoscope'),
          array('name' => 'user-md', 'className' => 'fa fa-user-md'),
          array('name' => 'wheelchair', 'className' => 'fa fa-wheelchair'),
          array('name' => 'wheelchair-alt', 'className' => 'fa fa-wheelchair-alt'),
        ),
      ),
      array(
        'label'  => 'Dashicons',
        'value' =>  'dashicons',
        'icons'   => array(
          array('name' => 'menu', 'className' => 'dashicons dashicons-menu'),
          array('name' => 'site', 'className' => 'dashicons dashicons-admin-site'),
          array('name' => 'dashboard', 'className' => 'dashicons dashicons-dashboard'),
          array('name' => 'post', 'className' => 'dashicons dashicons-admin-post'),
          array('name' => 'media', 'className' => 'dashicons dashicons-admin-media'),
          array('name' => 'links', 'className' => 'dashicons dashicons-admin-links'),
          array('name' => 'page', 'className' => 'dashicons dashicons-admin-page'),
          array('name' => 'comments', 'className' => 'dashicons dashicons-admin-comments'),
          array('name' => 'appearance', 'className' => 'dashicons dashicons-admin-appearance'),
          array('name' => 'plugins', 'className' => 'dashicons dashicons-admin-plugins'),
          array('name' => 'users', 'className' => 'dashicons dashicons-admin-users'),
          array('name' => 'tools', 'className' => 'dashicons dashicons-admin-tools'),
          array('name' => 'settings', 'className' => 'dashicons dashicons-admin-settings'),
          array('name' => 'network', 'className' => 'dashicons dashicons-admin-network'),
          array('name' => 'home', 'className' => 'dashicons dashicons-admin-home'),
          array('name' => 'generic', 'className' => 'dashicons dashicons-admin-generic'),
          array('name' => 'collapse', 'className' => 'dashicons dashicons-admin-collapse'),
          array('name' => 'filter', 'className' => 'dashicons dashicons-filter'),
          array('name' => 'customizer', 'className' => 'dashicons dashicons-admin-customizer'),
          array('name' => 'multisite', 'className' => 'dashicons dashicons-admin-multisite'),
          array('name' => 'write blog', 'className' => 'dashicons dashicons-welcome-write-blog'),
          array('name' => 'add page', 'className' => 'dashicons dashicons-welcome-add-page'),
          array('name' => 'view site', 'className' => 'dashicons dashicons-welcome-view-site'),
          array('name' => 'widgets and menus', 'className' => 'dashicons dashicons-welcome-widgets-menus'),
          array('name' => 'comments', 'className' => 'dashicons dashicons-welcome-comments'),
          array('name' => 'learn more', 'className' => 'dashicons dashicons-welcome-learn-more'),
          array('name' => 'aside', 'className' => 'dashicons dashicons-format-aside'),
          array('name' => 'image', 'className' => 'dashicons dashicons-format-image'),
          array('name' => 'gallery', 'className' => 'dashicons dashicons-format-gallery'),
          array('name' => 'video', 'className' => 'dashicons dashicons-format-video'),
          array('name' => 'status', 'className' => 'dashicons dashicons-format-status'),
          array('name' => 'quote', 'className' => 'dashicons dashicons-format-quote'),
          array('name' => 'chat', 'className' => 'dashicons dashicons-format-chat'),
          array('name' => 'audio', 'className' => 'dashicons dashicons-format-audio'),
          array('name' => 'camera', 'className' => 'dashicons dashicons-camera'),
          array('name' => 'images (alt)', 'className' => 'dashicons dashicons-images-alt'),
          array('name' => 'images (alt 2)', 'className' => 'dashicons dashicons-images-alt2'),
          array('name' => 'video (alt)', 'className' => 'dashicons dashicons-video-alt'),
          array('name' => 'video (alt 2)', 'className' => 'dashicons dashicons-video-alt2'),
          array('name' => 'video (alt 3)', 'className' => 'dashicons dashicons-video-alt3'),
          array('name' => 'archive', 'className' => 'dashicons dashicons-media-archive'),
          array('name' => 'audio', 'className' => 'dashicons dashicons-media-audio'),
          array('name' => 'code', 'className' => 'dashicons dashicons-media-code'),
          array('name' => 'default', 'className' => 'dashicons dashicons-media-default'),
          array('name' => 'document', 'className' => 'dashicons dashicons-media-document'),
          array('name' => 'interactive', 'className' => 'dashicons dashicons-media-interactive'),
          array('name' => 'spreadsheet', 'className' => 'dashicons dashicons-media-spreadsheet'),
          array('name' => 'text', 'className' => 'dashicons dashicons-media-text'),
          array('name' => 'video', 'className' => 'dashicons dashicons-media-video'),
          array('name' => 'audio playlist', 'className' => 'dashicons dashicons-playlist-audio'),
          array('name' => 'video playlist', 'className' => 'dashicons dashicons-playlist-video'),
          array('name' => 'play player', 'className' => 'dashicons dashicons-controls-play'),
          array('name' => 'player pause', 'className' => 'dashicons dashicons-controls-pause'),
          array('name' => 'player forward', 'className' => 'dashicons dashicons-controls-forward'),
          array('name' => 'player skip forward', 'className' => 'dashicons dashicons-controls-skipforward'),
          array('name' => 'player back', 'className' => 'dashicons dashicons-controls-back'),
          array('name' => 'player skip back', 'className' => 'dashicons dashicons-controls-skipback'),
          array('name' => 'player repeat', 'className' => 'dashicons dashicons-controls-repeat'),
          array('name' => 'player volume on', 'className' => 'dashicons dashicons-controls-volumeon'),
          array('name' => 'player volume off', 'className' => 'dashicons dashicons-controls-volumeoff'),
          array('name' => 'crop', 'className' => 'dashicons dashicons-image-crop'),
          array('name' => 'rotate', 'className' => 'dashicons dashicons-image-rotate'),
          array('name' => 'rotate left', 'className' => 'dashicons dashicons-image-rotate-left'),
          array('name' => 'rotate right', 'className' => 'dashicons dashicons-image-rotate-right'),
          array('name' => 'flip vertical', 'className' => 'dashicons dashicons-image-flip-vertical'),
          array('name' => 'flip horizontal', 'className' => 'dashicons dashicons-image-flip-horizontal'),
          array('name' => 'filter', 'className' => 'dashicons dashicons-image-filter'),
          array('name' => 'undo', 'className' => 'dashicons dashicons-undo'),
          array('name' => 'redo', 'className' => 'dashicons dashicons-redo'),
          array('name' => 'bold', 'className' => 'dashicons dashicons-editor-bold'),
          array('name' => 'italic', 'className' => 'dashicons dashicons-editor-italic'),
          array('name' => 'ul', 'className' => 'dashicons dashicons-editor-ul'),
          array('name' => 'ol', 'className' => 'dashicons dashicons-editor-ol'),
          array('name' => 'quote', 'className' => 'dashicons dashicons-editor-quote'),
          array('name' => 'alignleft', 'className' => 'dashicons dashicons-editor-alignleft'),
          array('name' => 'aligncenter', 'className' => 'dashicons dashicons-editor-aligncenter'),
          array('name' => 'alignright', 'className' => 'dashicons dashicons-editor-alignright'),
          array('name' => 'insertmore', 'className' => 'dashicons dashicons-editor-insertmore'),
          array('name' => 'spellcheck', 'className' => 'dashicons dashicons-editor-spellcheck'),
          array('name' => 'expand', 'className' => 'dashicons dashicons-editor-expand'),
          array('name' => 'contract', 'className' => 'dashicons dashicons-editor-contract'),
          array('name' => 'kitchen sink', 'className' => 'dashicons dashicons-editor-kitchensink'),
          array('name' => 'underline', 'className' => 'dashicons dashicons-editor-underline'),
          array('name' => 'justify', 'className' => 'dashicons dashicons-editor-justify'),
          array('name' => 'textcolor', 'className' => 'dashicons dashicons-editor-textcolor'),
          array('name' => 'paste', 'className' => 'dashicons dashicons-editor-paste-word'),
          array('name' => 'paste', 'className' => 'dashicons dashicons-editor-paste-text'),
          array('name' => 'remove formatting', 'className' => 'dashicons dashicons-editor-removeformatting'),
          array('name' => 'video', 'className' => 'dashicons dashicons-editor-video'),
          array('name' => 'custom character', 'className' => 'dashicons dashicons-editor-customchar'),
          array('name' => 'outdent', 'className' => 'dashicons dashicons-editor-outdent'),
          array('name' => 'indent', 'className' => 'dashicons dashicons-editor-indent'),
          array('name' => 'help', 'className' => 'dashicons dashicons-editor-help'),
          array('name' => 'strikethrough', 'className' => 'dashicons dashicons-editor-strikethrough'),
          array('name' => 'unlink', 'className' => 'dashicons dashicons-editor-unlink'),
          array('name' => 'rtl', 'className' => 'dashicons dashicons-editor-rtl'),
          array('name' => 'break', 'className' => 'dashicons dashicons-editor-break'),
          array('name' => 'code', 'className' => 'dashicons dashicons-editor-code'),
          array('name' => 'paragraph', 'className' => 'dashicons dashicons-editor-paragraph'),
          array('name' => 'table', 'className' => 'dashicons dashicons-editor-table'),
          array('name' => 'align left', 'className' => 'dashicons dashicons-align-left'),
          array('name' => 'align right', 'className' => 'dashicons dashicons-align-right'),
          array('name' => 'align center', 'className' => 'dashicons dashicons-align-center'),
          array('name' => 'align none', 'className' => 'dashicons dashicons-align-none'),
          array('name' => 'lock', 'className' => 'dashicons dashicons-lock'),
          array('name' => 'unlock', 'className' => 'dashicons dashicons-unlock'),
          array('name' => 'calendar', 'className' => 'dashicons dashicons-calendar'),
          array('name' => 'calendar', 'className' => 'dashicons dashicons-calendar-alt'),
          array('name' => 'visibility', 'className' => 'dashicons dashicons-visibility'),
          array('name' => 'hidden', 'className' => 'dashicons dashicons-hidden'),
          array('name' => 'post status', 'className' => 'dashicons dashicons-post-status'),
          array('name' => 'edit pencil', 'className' => 'dashicons dashicons-edit'),
          array('name' => 'trash remove delete', 'className' => 'dashicons dashicons-trash'),
          array('name' => 'sticky', 'className' => 'dashicons dashicons-sticky'),
          array('name' => 'external', 'className' => 'dashicons dashicons-external'),
          array('name' => 'arrow-up', 'className' => 'dashicons dashicons-arrow-up'),
          array('name' => 'arrow-down', 'className' => 'dashicons dashicons-arrow-down'),
          array('name' => 'arrow-right', 'className' => 'dashicons dashicons-arrow-right'),
          array('name' => 'arrow-left', 'className' => 'dashicons dashicons-arrow-left'),
          array('name' => 'arrow-up', 'className' => 'dashicons dashicons-arrow-up-alt'),
          array('name' => 'arrow-down', 'className' => 'dashicons dashicons-arrow-down-alt'),
          array('name' => 'arrow-right', 'className' => 'dashicons dashicons-arrow-right-alt'),
          array('name' => 'arrow-left', 'className' => 'dashicons dashicons-arrow-left-alt'),
          array('name' => 'arrow-up', 'className' => 'dashicons dashicons-arrow-up-alt2'),
          array('name' => 'arrow-down', 'className' => 'dashicons dashicons-arrow-down-alt2'),
          array('name' => 'arrow-right', 'className' => 'dashicons dashicons-arrow-right-alt2'),
          array('name' => 'arrow-left', 'className' => 'dashicons dashicons-arrow-left-alt2'),
          array('name' => 'sort', 'className' => 'dashicons dashicons-sort'),
          array('name' => 'left right', 'className' => 'dashicons dashicons-leftright'),
          array('name' => 'randomize shuffle', 'className' => 'dashicons dashicons-randomize'),
          array('name' => 'list view', 'className' => 'dashicons dashicons-list-view'),
          array('name' => 'exerpt view', 'className' => 'dashicons dashicons-exerpt-view'),
          array('name' => 'grid view', 'className' => 'dashicons dashicons-grid-view'),
          array('name' => 'move', 'className' => 'dashicons dashicons-move'),
          array('name' => 'share', 'className' => 'dashicons dashicons-share'),
          array('name' => 'share', 'className' => 'dashicons dashicons-share-alt'),
          array('name' => 'share', 'className' => 'dashicons dashicons-share-alt2'),
          array('name' => 'twitter social', 'className' => 'dashicons dashicons-twitter'),
          array('name' => 'rss', 'className' => 'dashicons dashicons-rss'),
          array('name' => 'email', 'className' => 'dashicons dashicons-email'),
          array('name' => 'email', 'className' => 'dashicons dashicons-email-alt'),
          array('name' => 'facebook social', 'className' => 'dashicons dashicons-facebook'),
          array('name' => 'facebook social', 'className' => 'dashicons dashicons-facebook-alt'),
          array('name' => 'googleplus social', 'className' => 'dashicons dashicons-googleplus'),
          array('name' => 'networking social', 'className' => 'dashicons dashicons-networking'),
          array('name' => 'hammer development', 'className' => 'dashicons dashicons-hammer'),
          array('name' => 'art design', 'className' => 'dashicons dashicons-art'),
          array('name' => 'migrate migration', 'className' => 'dashicons dashicons-migrate'),
          array('name' => 'performance', 'className' => 'dashicons dashicons-performance'),
          array('name' => 'universal access accessibility', 'className' => 'dashicons dashicons-universal-access'),
          array('name' => 'universal access accessibility', 'className' => 'dashicons dashicons-universal-access-alt'),
          array('name' => 'tickets', 'className' => 'dashicons dashicons-tickets'),
          array('name' => 'nametag', 'className' => 'dashicons dashicons-nametag'),
          array('name' => 'clipboard', 'className' => 'dashicons dashicons-clipboard'),
          array('name' => 'heart', 'className' => 'dashicons dashicons-heart'),
          array('name' => 'megaphone', 'className' => 'dashicons dashicons-megaphone'),
          array('name' => 'schedule', 'className' => 'dashicons dashicons-schedule'),
          array('name' => 'wordpress', 'className' => 'dashicons dashicons-wordpress'),
          array('name' => 'wordpress', 'className' => 'dashicons dashicons-wordpress-alt'),
          array('name' => 'press this', 'className' => 'dashicons dashicons-pressthis'),
          array('name' => 'update', 'className' => 'dashicons dashicons-update'),
          array('name' => 'screenoptions', 'className' => 'dashicons dashicons-screenoptions'),
          array('name' => 'info', 'className' => 'dashicons dashicons-info'),
          array('name' => 'cart shopping', 'className' => 'dashicons dashicons-cart'),
          array('name' => 'feedback form', 'className' => 'dashicons dashicons-feedback'),
          array('name' => 'cloud', 'className' => 'dashicons dashicons-cloud'),
          array('name' => 'translation language', 'className' => 'dashicons dashicons-translation'),
          array('name' => 'tag', 'className' => 'dashicons dashicons-tag'),
          array('name' => 'category', 'className' => 'dashicons dashicons-category'),
          array('name' => 'archive', 'className' => 'dashicons dashicons-archive'),
          array('name' => 'tagcloud', 'className' => 'dashicons dashicons-tagcloud'),
          array('name' => 'text', 'className' => 'dashicons dashicons-text'),
          array('name' => 'yes check checkmark', 'className' => 'dashicons dashicons-yes'),
          array('name' => 'no x', 'className' => 'dashicons dashicons-no'),
          array('name' => 'no x', 'className' => 'dashicons dashicons-no-alt'),
          array('name' => 'plus add increase', 'className' => 'dashicons dashicons-plus'),
          array('name' => 'plus add increase', 'className' => 'dashicons dashicons-plus-alt'),
          array('name' => 'minus decrease', 'className' => 'dashicons dashicons-minus'),
          array('name' => 'dismiss', 'className' => 'dashicons dashicons-dismiss'),
          array('name' => 'marker', 'className' => 'dashicons dashicons-marker'),
          array('name' => 'filled star', 'className' => 'dashicons dashicons-star-filled'),
          array('name' => 'half star', 'className' => 'dashicons dashicons-star-half'),
          array('name' => 'empty star', 'className' => 'dashicons dashicons-star-empty'),
          array('name' => 'flag', 'className' => 'dashicons dashicons-flag'),
          array('name' => 'warning', 'className' => 'dashicons dashicons-warning'),
          array('name' => 'location pin', 'className' => 'dashicons dashicons-location'),
          array('name' => 'location', 'className' => 'dashicons dashicons-location-alt'),
          array('name' => 'vault safe', 'className' => 'dashicons dashicons-vault'),
          array('name' => 'shield', 'className' => 'dashicons dashicons-shield'),
          array('name' => 'shield', 'className' => 'dashicons dashicons-shield-alt'),
          array('name' => 'sos help', 'className' => 'dashicons dashicons-sos'),
          array('name' => 'search', 'className' => 'dashicons dashicons-search'),
          array('name' => 'slides', 'className' => 'dashicons dashicons-slides'),
          array('name' => 'analytics', 'className' => 'dashicons dashicons-analytics'),
          array('name' => 'pie chart', 'className' => 'dashicons dashicons-chart-pie'),
          array('name' => 'bar chart', 'className' => 'dashicons dashicons-chart-bar'),
          array('name' => 'line chart', 'className' => 'dashicons dashicons-chart-line'),
          array('name' => 'area chart', 'className' => 'dashicons dashicons-chart-area'),
          array('name' => 'groups', 'className' => 'dashicons dashicons-groups'),
          array('name' => 'businessman', 'className' => 'dashicons dashicons-businessman'),
          array('name' => 'id', 'className' => 'dashicons dashicons-id'),
          array('name' => 'id', 'className' => 'dashicons dashicons-id-alt'),
          array('name' => 'products', 'className' => 'dashicons dashicons-products'),
          array('name' => 'awards', 'className' => 'dashicons dashicons-awards'),
          array('name' => 'forms', 'className' => 'dashicons dashicons-forms'),
          array('name' => 'testimonial', 'className' => 'dashicons dashicons-testimonial'),
          array('name' => 'portfolio', 'className' => 'dashicons dashicons-portfolio'),
          array('name' => 'book', 'className' => 'dashicons dashicons-book'),
          array('name' => 'book', 'className' => 'dashicons dashicons-book-alt'),
          array('name' => 'download', 'className' => 'dashicons dashicons-download'),
          array('name' => 'upload', 'className' => 'dashicons dashicons-upload'),
          array('name' => 'backup', 'className' => 'dashicons dashicons-backup'),
          array('name' => 'clock', 'className' => 'dashicons dashicons-clock'),
          array('name' => 'lightbulb', 'className' => 'dashicons dashicons-lightbulb'),
          array('name' => 'microphone mic', 'className' => 'dashicons dashicons-microphone'),
          array('name' => 'desktop monitor', 'className' => 'dashicons dashicons-desktop'),
          array('name' => 'laptop', 'className' => 'dashicons dashicons-laptop'),
          array('name' => 'tablet ipad', 'className' => 'dashicons dashicons-tablet'),
          array('name' => 'smartphone iphone', 'className' => 'dashicons dashicons-smartphone'),
          array('name' => 'phone', 'className' => 'dashicons dashicons-phone'),
          array('name' => 'index card', 'className' => 'dashicons dashicons-index-card'),
          array('name' => 'carrot food vendor', 'className' => 'dashicons dashicons-carrot'),
          array('name' => 'building', 'className' => 'dashicons dashicons-building'),
          array('name' => 'store', 'className' => 'dashicons dashicons-store'),
          array('name' => 'album', 'className' => 'dashicons dashicons-album'),
          array('name' => 'palm tree', 'className' => 'dashicons dashicons-palmtree'),
          array('name' => 'tickets (alt)', 'className' => 'dashicons dashicons-tickets-alt'),
          array('name' => 'money', 'className' => 'dashicons dashicons-money'),
          array('name' => 'smiley smile', 'className' => 'dashicons dashicons-smiley'),
          array('name' => 'thumbs up', 'className' => 'dashicons dashicons-thumbs-up'),
          array('name' => 'thumbs down', 'className' => 'dashicons dashicons-thumbs-down'),
          array('name' => 'layout', 'className' => 'dashicons dashicons-layout'),
          array('name' => 'paperclip', 'className' => 'dashicons dashicons-paperclip'),
        ),
      ),
      array(
        'label'  => 'Ionicons',
        'value' =>  'ionicons',
        'icons'   => array(
          array('name' => 'ionic', 'className' => 'ion-ionic'),
          array('name' => 'arrow-up-a', 'className' => 'ion-arrow-up-a'),
          array('name' => 'arrow-right-a', 'className' => 'ion-arrow-right-a'),
          array('name' => 'arrow-down-a', 'className' => 'ion-arrow-down-a'),
          array('name' => 'arrow-left-a', 'className' => 'ion-arrow-left-a'),
          array('name' => 'arrow-up-b', 'className' => 'ion-arrow-up-b'),
          array('name' => 'arrow-right-b', 'className' => 'ion-arrow-right-b'),
          array('name' => 'arrow-down-b', 'className' => 'ion-arrow-down-b'),
          array('name' => 'arrow-left-b', 'className' => 'ion-arrow-left-b'),
          array('name' => 'arrow-up-c', 'className' => 'ion-arrow-up-c'),
          array('name' => 'arrow-right-c', 'className' => 'ion-arrow-right-c'),
          array('name' => 'arrow-down-c', 'className' => 'ion-arrow-down-c'),
          array('name' => 'arrow-left-c', 'className' => 'ion-arrow-left-c'),
          array('name' => 'arrow-return-right', 'className' => 'ion-arrow-return-right'),
          array('name' => 'arrow-return-left', 'className' => 'ion-arrow-return-left'),
          array('name' => 'arrow-swap', 'className' => 'ion-arrow-swap'),
          array('name' => 'arrow-shrink', 'className' => 'ion-arrow-shrink'),
          array('name' => 'arrow-expand', 'className' => 'ion-arrow-expand'),
          array('name' => 'arrow-move', 'className' => 'ion-arrow-move'),
          array('name' => 'arrow-resize', 'className' => 'ion-arrow-resize'),
          array('name' => 'chevron-up', 'className' => 'ion-chevron-up'),
          array('name' => 'chevron-right', 'className' => 'ion-chevron-right'),
          array('name' => 'chevron-down', 'className' => 'ion-chevron-down'),
          array('name' => 'chevron-left', 'className' => 'ion-chevron-left'),
          array('name' => 'navicon-round', 'className' => 'ion-navicon-round'),
          array('name' => 'navicon', 'className' => 'ion-navicon'),
          array('name' => 'drag', 'className' => 'ion-drag'),
          array('name' => 'log-in', 'className' => 'ion-log-in'),
          array('name' => 'log-out', 'className' => 'ion-log-out'),
          array('name' => 'checkmark-round', 'className' => 'ion-checkmark-round'),
          array('name' => 'checkmark', 'className' => 'ion-checkmark'),
          array('name' => 'checkmark-circled', 'className' => 'ion-checkmark-circled'),
          array('name' => 'close-round', 'className' => 'ion-close-round'),
          array('name' => 'close', 'className' => 'ion-close'),
          array('name' => 'close-circled', 'className' => 'ion-close-circled'),
          array('name' => 'plus-round', 'className' => 'ion-plus-round'),
          array('name' => 'plus', 'className' => 'ion-plus'),
          array('name' => 'plus-circled', 'className' => 'ion-plus-circled'),
          array('name' => 'minus-round', 'className' => 'ion-minus-round'),
          array('name' => 'minus', 'className' => 'ion-minus'),
          array('name' => 'minus-circled', 'className' => 'ion-minus-circled'),
          array('name' => 'information', 'className' => 'ion-information'),
          array('name' => 'information-circled', 'className' => 'ion-information-circled'),
          array('name' => 'help', 'className' => 'ion-help'),
          array('name' => 'help-circled', 'className' => 'ion-help-circled'),
          array('name' => 'backspace-outline', 'className' => 'ion-backspace-outline'),
          array('name' => 'backspace', 'className' => 'ion-backspace'),
          array('name' => 'help-buoy', 'className' => 'ion-help-buoy'),
          array('name' => 'asterisk', 'className' => 'ion-asterisk'),
          array('name' => 'alert', 'className' => 'ion-alert'),
          array('name' => 'alert-circled', 'className' => 'ion-alert-circled'),
          array('name' => 'refresh', 'className' => 'ion-refresh'),
          array('name' => 'loop', 'className' => 'ion-loop'),
          array('name' => 'shuffle', 'className' => 'ion-shuffle'),
          array('name' => 'home', 'className' => 'ion-home'),
          array('name' => 'search', 'className' => 'ion-search'),
          array('name' => 'flag', 'className' => 'ion-flag'),
          array('name' => 'star', 'className' => 'ion-star'),
          array('name' => 'heart', 'className' => 'ion-heart'),
          array('name' => 'heart-broken', 'className' => 'ion-heart-broken'),
          array('name' => 'gear-a', 'className' => 'ion-gear-a'),
          array('name' => 'gear-b', 'className' => 'ion-gear-b'),
          array('name' => 'toggle-filled', 'className' => 'ion-toggle-filled'),
          array('name' => 'toggle', 'className' => 'ion-toggle'),
          array('name' => 'settings', 'className' => 'ion-settings'),
          array('name' => 'wrench', 'className' => 'ion-wrench'),
          array('name' => 'hammer', 'className' => 'ion-hammer'),
          array('name' => 'edit', 'className' => 'ion-edit'),
          array('name' => 'trash-a', 'className' => 'ion-trash-a'),
          array('name' => 'trash-b', 'className' => 'ion-trash-b'),
          array('name' => 'document', 'className' => 'ion-document'),
          array('name' => 'document-text', 'className' => 'ion-document-text'),
          array('name' => 'clipboard', 'className' => 'ion-clipboard'),
          array('name' => 'scissors', 'className' => 'ion-scissors'),
          array('name' => 'funnel', 'className' => 'ion-funnel'),
          array('name' => 'bookmark', 'className' => 'ion-bookmark'),
          array('name' => 'email', 'className' => 'ion-email'),
          array('name' => 'email-unread', 'className' => 'ion-email-unread'),
          array('name' => 'folder', 'className' => 'ion-folder'),
          array('name' => 'filing', 'className' => 'ion-filing'),
          array('name' => 'archive', 'className' => 'ion-archive'),
          array('name' => 'reply', 'className' => 'ion-reply'),
          array('name' => 'reply-all', 'className' => 'ion-reply-all'),
          array('name' => 'forward', 'className' => 'ion-forward'),
          array('name' => 'share', 'className' => 'ion-share'),
          array('name' => 'paper-airplane', 'className' => 'ion-paper-airplane'),
          array('name' => 'link', 'className' => 'ion-link'),
          array('name' => 'paperclip', 'className' => 'ion-paperclip'),
          array('name' => 'compose', 'className' => 'ion-compose'),
          array('name' => 'briefcase', 'className' => 'ion-briefcase'),
          array('name' => 'medkit', 'className' => 'ion-medkit'),
          array('name' => 'at', 'className' => 'ion-at'),
          array('name' => 'pound', 'className' => 'ion-pound'),
          array('name' => 'quote', 'className' => 'ion-quote'),
          array('name' => 'cloud', 'className' => 'ion-cloud'),
          array('name' => 'upload', 'className' => 'ion-upload'),
          array('name' => 'more', 'className' => 'ion-more'),
          array('name' => 'grid', 'className' => 'ion-grid'),
          array('name' => 'calendar', 'className' => 'ion-calendar'),
          array('name' => 'clock', 'className' => 'ion-clock'),
          array('name' => 'compass', 'className' => 'ion-compass'),
          array('name' => 'pinpoint', 'className' => 'ion-pinpoint'),
          array('name' => 'pin', 'className' => 'ion-pin'),
          array('name' => 'navigate', 'className' => 'ion-navigate'),
          array('name' => 'location', 'className' => 'ion-location'),
          array('name' => 'map', 'className' => 'ion-map'),
          array('name' => 'lock-combination', 'className' => 'ion-lock-combination'),
          array('name' => 'locked', 'className' => 'ion-locked'),
          array('name' => 'unlocked', 'className' => 'ion-unlocked'),
          array('name' => 'key', 'className' => 'ion-key'),
          array('name' => 'arrow-graph-up-right', 'className' => 'ion-arrow-graph-up-right'),
          array('name' => 'arrow-graph-down-right', 'className' => 'ion-arrow-graph-down-right'),
          array('name' => 'arrow-graph-up-left', 'className' => 'ion-arrow-graph-up-left'),
          array('name' => 'arrow-graph-down-left', 'className' => 'ion-arrow-graph-down-left'),
          array('name' => 'stats-bars', 'className' => 'ion-stats-bars'),
          array('name' => 'connection-bars', 'className' => 'ion-connection-bars'),
          array('name' => 'pie-graph', 'className' => 'ion-pie-graph'),
          array('name' => 'chatbubble', 'className' => 'ion-chatbubble'),
          array('name' => 'chatbubble-working', 'className' => 'ion-chatbubble-working'),
          array('name' => 'chatbubbles', 'className' => 'ion-chatbubbles'),
          array('name' => 'chatbox', 'className' => 'ion-chatbox'),
          array('name' => 'chatbox-working', 'className' => 'ion-chatbox-working'),
          array('name' => 'chatboxes', 'className' => 'ion-chatboxes'),
          array('name' => 'person', 'className' => 'ion-person'),
          array('name' => 'person-add', 'className' => 'ion-person-add'),
          array('name' => 'person-stalker', 'className' => 'ion-person-stalker'),
          array('name' => 'woman', 'className' => 'ion-woman'),
          array('name' => 'man', 'className' => 'ion-man'),
          array('name' => 'female', 'className' => 'ion-female'),
          array('name' => 'male', 'className' => 'ion-male'),
          array('name' => 'transgender', 'className' => 'ion-transgender'),
          array('name' => 'fork', 'className' => 'ion-fork'),
          array('name' => 'knife', 'className' => 'ion-knife'),
          array('name' => 'spoon', 'className' => 'ion-spoon'),
          array('name' => 'soup-can-outline', 'className' => 'ion-soup-can-outline'),
          array('name' => 'soup-can', 'className' => 'ion-soup-can'),
          array('name' => 'beer', 'className' => 'ion-beer'),
          array('name' => 'wineglass', 'className' => 'ion-wineglass'),
          array('name' => 'coffee', 'className' => 'ion-coffee'),
          array('name' => 'icecream', 'className' => 'ion-icecream'),
          array('name' => 'pizza', 'className' => 'ion-pizza'),
          array('name' => 'power', 'className' => 'ion-power'),
          array('name' => 'mouse', 'className' => 'ion-mouse'),
          array('name' => 'battery-full', 'className' => 'ion-battery-full'),
          array('name' => 'battery-half', 'className' => 'ion-battery-half'),
          array('name' => 'battery-low', 'className' => 'ion-battery-low'),
          array('name' => 'battery-empty', 'className' => 'ion-battery-empty'),
          array('name' => 'battery-charging', 'className' => 'ion-battery-charging'),
          array('name' => 'wifi', 'className' => 'ion-wifi'),
          array('name' => 'bluetooth', 'className' => 'ion-bluetooth'),
          array('name' => 'calculator', 'className' => 'ion-calculator'),
          array('name' => 'camera', 'className' => 'ion-camera'),
          array('name' => 'eye', 'className' => 'ion-eye'),
          array('name' => 'eye-disabled', 'className' => 'ion-eye-disabled'),
          array('name' => 'flash', 'className' => 'ion-flash'),
          array('name' => 'flash-off', 'className' => 'ion-flash-off'),
          array('name' => 'qr-scanner', 'className' => 'ion-qr-scanner'),
          array('name' => 'image', 'className' => 'ion-image'),
          array('name' => 'images', 'className' => 'ion-images'),
          array('name' => 'wand', 'className' => 'ion-wand'),
          array('name' => 'contrast', 'className' => 'ion-contrast'),
          array('name' => 'aperture', 'className' => 'ion-aperture'),
          array('name' => 'crop', 'className' => 'ion-crop'),
          array('name' => 'easel', 'className' => 'ion-easel'),
          array('name' => 'paintbrush', 'className' => 'ion-paintbrush'),
          array('name' => 'paintbucket', 'className' => 'ion-paintbucket'),
          array('name' => 'monitor', 'className' => 'ion-monitor'),
          array('name' => 'laptop', 'className' => 'ion-laptop'),
          array('name' => 'ipad', 'className' => 'ion-ipad'),
          array('name' => 'iphone', 'className' => 'ion-iphone'),
          array('name' => 'ipod', 'className' => 'ion-ipod'),
          array('name' => 'printer', 'className' => 'ion-printer'),
          array('name' => 'usb', 'className' => 'ion-usb'),
          array('name' => 'outlet', 'className' => 'ion-outlet'),
          array('name' => 'bug', 'className' => 'ion-bug'),
          array('name' => 'code', 'className' => 'ion-code'),
          array('name' => 'code-working', 'className' => 'ion-code-working'),
          array('name' => 'code-download', 'className' => 'ion-code-download'),
          array('name' => 'fork-repo', 'className' => 'ion-fork-repo'),
          array('name' => 'network', 'className' => 'ion-network'),
          array('name' => 'pull-request', 'className' => 'ion-pull-request'),
          array('name' => 'merge', 'className' => 'ion-merge'),
          array('name' => 'xbox', 'className' => 'ion-xbox'),
          array('name' => 'playstation', 'className' => 'ion-playstation'),
          array('name' => 'steam', 'className' => 'ion-steam'),
          array('name' => 'closed-captioning', 'className' => 'ion-closed-captioning'),
          array('name' => 'videocamera', 'className' => 'ion-videocamera'),
          array('name' => 'film-marker', 'className' => 'ion-film-marker'),
          array('name' => 'disc', 'className' => 'ion-disc'),
          array('name' => 'headphone', 'className' => 'ion-headphone'),
          array('name' => 'music-note', 'className' => 'ion-music-note'),
          array('name' => 'radio-waves', 'className' => 'ion-radio-waves'),
          array('name' => 'speakerphone', 'className' => 'ion-speakerphone'),
          array('name' => 'mic-a', 'className' => 'ion-mic-a'),
          array('name' => 'mic-b', 'className' => 'ion-mic-b'),
          array('name' => 'mic-c', 'className' => 'ion-mic-c'),
          array('name' => 'volume-high', 'className' => 'ion-volume-high'),
          array('name' => 'volume-medium', 'className' => 'ion-volume-medium'),
          array('name' => 'volume-low', 'className' => 'ion-volume-low'),
          array('name' => 'volume-mute', 'className' => 'ion-volume-mute'),
          array('name' => 'levels', 'className' => 'ion-levels'),
          array('name' => 'play', 'className' => 'ion-play'),
          array('name' => 'pause', 'className' => 'ion-pause'),
          array('name' => 'stop', 'className' => 'ion-stop'),
          array('name' => 'record', 'className' => 'ion-record'),
          array('name' => 'skip-forward', 'className' => 'ion-skip-forward'),
          array('name' => 'skip-backward', 'className' => 'ion-skip-backward'),
          array('name' => 'eject', 'className' => 'ion-eject'),
          array('name' => 'bag', 'className' => 'ion-bag'),
          array('name' => 'card', 'className' => 'ion-card'),
          array('name' => 'cash', 'className' => 'ion-cash'),
          array('name' => 'pricetag', 'className' => 'ion-pricetag'),
          array('name' => 'pricetags', 'className' => 'ion-pricetags'),
          array('name' => 'thumbsup', 'className' => 'ion-thumbsup'),
          array('name' => 'thumbsdown', 'className' => 'ion-thumbsdown'),
          array('name' => 'happy-outline', 'className' => 'ion-happy-outline'),
          array('name' => 'happy', 'className' => 'ion-happy'),
          array('name' => 'sad-outline', 'className' => 'ion-sad-outline'),
          array('name' => 'sad', 'className' => 'ion-sad'),
          array('name' => 'bowtie', 'className' => 'ion-bowtie'),
          array('name' => 'tshirt-outline', 'className' => 'ion-tshirt-outline'),
          array('name' => 'tshirt', 'className' => 'ion-tshirt'),
          array('name' => 'trophy', 'className' => 'ion-trophy'),
          array('name' => 'podium', 'className' => 'ion-podium'),
          array('name' => 'ribbon-a', 'className' => 'ion-ribbon-a'),
          array('name' => 'ribbon-b', 'className' => 'ion-ribbon-b'),
          array('name' => 'university', 'className' => 'ion-university'),
          array('name' => 'magnet', 'className' => 'ion-magnet'),
          array('name' => 'beaker', 'className' => 'ion-beaker'),
          array('name' => 'erlenmeyer-flask', 'className' => 'ion-erlenmeyer-flask'),
          array('name' => 'egg', 'className' => 'ion-egg'),
          array('name' => 'earth', 'className' => 'ion-earth'),
          array('name' => 'planet', 'className' => 'ion-planet'),
          array('name' => 'lightbulb', 'className' => 'ion-lightbulb'),
          array('name' => 'cube', 'className' => 'ion-cube'),
          array('name' => 'leaf', 'className' => 'ion-leaf'),
          array('name' => 'waterdrop', 'className' => 'ion-waterdrop'),
          array('name' => 'flame', 'className' => 'ion-flame'),
          array('name' => 'fireball', 'className' => 'ion-fireball'),
          array('name' => 'bonfire', 'className' => 'ion-bonfire'),
          array('name' => 'umbrella', 'className' => 'ion-umbrella'),
          array('name' => 'nuclear', 'className' => 'ion-nuclear'),
          array('name' => 'no-smoking', 'className' => 'ion-no-smoking'),
          array('name' => 'thermometer', 'className' => 'ion-thermometer'),
          array('name' => 'speedometer', 'className' => 'ion-speedometer'),
          array('name' => 'model-s', 'className' => 'ion-model-s'),
          array('name' => 'plane', 'className' => 'ion-plane'),
          array('name' => 'jet', 'className' => 'ion-jet'),
          array('name' => 'load-a', 'className' => 'ion-load-a'),
          array('name' => 'load-b', 'className' => 'ion-load-b'),
          array('name' => 'load-c', 'className' => 'ion-load-c'),
          array('name' => 'load-d', 'className' => 'ion-load-d'),
          array('name' => 'ios-ionic-outline', 'className' => 'ion-ios-ionic-outline'),
          array('name' => 'ios-arrow-back', 'className' => 'ion-ios-arrow-back'),
          array('name' => 'ios-arrow-forward', 'className' => 'ion-ios-arrow-forward'),
          array('name' => 'ios-arrow-up', 'className' => 'ion-ios-arrow-up'),
          array('name' => 'ios-arrow-right', 'className' => 'ion-ios-arrow-right'),
          array('name' => 'ios-arrow-down', 'className' => 'ion-ios-arrow-down'),
          array('name' => 'ios-arrow-left', 'className' => 'ion-ios-arrow-left'),
          array('name' => 'ios-arrow-thin-up', 'className' => 'ion-ios-arrow-thin-up'),
          array('name' => 'ios-arrow-thin-right', 'className' => 'ion-ios-arrow-thin-right'),
          array('name' => 'ios-arrow-thin-down', 'className' => 'ion-ios-arrow-thin-down'),
          array('name' => 'ios-arrow-thin-left', 'className' => 'ion-ios-arrow-thin-left'),
          array('name' => 'ios-circle-filled', 'className' => 'ion-ios-circle-filled'),
          array('name' => 'ios-circle-outline', 'className' => 'ion-ios-circle-outline'),
          array('name' => 'ios-checkmark-empty', 'className' => 'ion-ios-checkmark-empty'),
          array('name' => 'ios-checkmark-outline', 'className' => 'ion-ios-checkmark-outline'),
          array('name' => 'ios-checkmark', 'className' => 'ion-ios-checkmark'),
          array('name' => 'ios-plus-empty', 'className' => 'ion-ios-plus-empty'),
          array('name' => 'ios-plus-outline', 'className' => 'ion-ios-plus-outline'),
          array('name' => 'ios-plus', 'className' => 'ion-ios-plus'),
          array('name' => 'ios-close-empty', 'className' => 'ion-ios-close-empty'),
          array('name' => 'ios-close-outline', 'className' => 'ion-ios-close-outline'),
          array('name' => 'ios-close', 'className' => 'ion-ios-close'),
          array('name' => 'ios-minus-empty', 'className' => 'ion-ios-minus-empty'),
          array('name' => 'ios-minus-outline', 'className' => 'ion-ios-minus-outline'),
          array('name' => 'ios-minus', 'className' => 'ion-ios-minus'),
          array('name' => 'ios-information-empty', 'className' => 'ion-ios-information-empty'),
          array('name' => 'ios-information-outline', 'className' => 'ion-ios-information-outline'),
          array('name' => 'ios-information', 'className' => 'ion-ios-information'),
          array('name' => 'ios-help-empty', 'className' => 'ion-ios-help-empty'),
          array('name' => 'ios-help-outline', 'className' => 'ion-ios-help-outline'),
          array('name' => 'ios-help', 'className' => 'ion-ios-help'),
          array('name' => 'ios-search', 'className' => 'ion-ios-search'),
          array('name' => 'ios-search-strong', 'className' => 'ion-ios-search-strong'),
          array('name' => 'ios-star', 'className' => 'ion-ios-star'),
          array('name' => 'ios-star-half', 'className' => 'ion-ios-star-half'),
          array('name' => 'ios-star-outline', 'className' => 'ion-ios-star-outline'),
          array('name' => 'ios-heart', 'className' => 'ion-ios-heart'),
          array('name' => 'ios-heart-outline', 'className' => 'ion-ios-heart-outline'),
          array('name' => 'ios-more', 'className' => 'ion-ios-more'),
          array('name' => 'ios-more-outline', 'className' => 'ion-ios-more-outline'),
          array('name' => 'ios-home', 'className' => 'ion-ios-home'),
          array('name' => 'ios-home-outline', 'className' => 'ion-ios-home-outline'),
          array('name' => 'ios-cloud', 'className' => 'ion-ios-cloud'),
          array('name' => 'ios-cloud-outline', 'className' => 'ion-ios-cloud-outline'),
          array('name' => 'ios-cloud-upload', 'className' => 'ion-ios-cloud-upload'),
          array('name' => 'ios-cloud-upload-outline', 'className' => 'ion-ios-cloud-upload-outline'),
          array('name' => 'ios-cloud-download', 'className' => 'ion-ios-cloud-download'),
          array('name' => 'ios-cloud-download-outline', 'className' => 'ion-ios-cloud-download-outline'),
          array('name' => 'ios-upload', 'className' => 'ion-ios-upload'),
          array('name' => 'ios-upload-outline', 'className' => 'ion-ios-upload-outline'),
          array('name' => 'ios-download', 'className' => 'ion-ios-download'),
          array('name' => 'ios-download-outline', 'className' => 'ion-ios-download-outline'),
          array('name' => 'ios-refresh', 'className' => 'ion-ios-refresh'),
          array('name' => 'ios-refresh-outline', 'className' => 'ion-ios-refresh-outline'),
          array('name' => 'ios-refresh-empty', 'className' => 'ion-ios-refresh-empty'),
          array('name' => 'ios-reload', 'className' => 'ion-ios-reload'),
          array('name' => 'ios-loop-strong', 'className' => 'ion-ios-loop-strong'),
          array('name' => 'ios-loop', 'className' => 'ion-ios-loop'),
          array('name' => 'ios-bookmarks', 'className' => 'ion-ios-bookmarks'),
          array('name' => 'ios-bookmarks-outline', 'className' => 'ion-ios-bookmarks-outline'),
          array('name' => 'ios-book', 'className' => 'ion-ios-book'),
          array('name' => 'ios-book-outline', 'className' => 'ion-ios-book-outline'),
          array('name' => 'ios-flag', 'className' => 'ion-ios-flag'),
          array('name' => 'ios-flag-outline', 'className' => 'ion-ios-flag-outline'),
          array('name' => 'ios-glasses', 'className' => 'ion-ios-glasses'),
          array('name' => 'ios-glasses-outline', 'className' => 'ion-ios-glasses-outline'),
          array('name' => 'ios-browsers', 'className' => 'ion-ios-browsers'),
          array('name' => 'ios-browsers-outline', 'className' => 'ion-ios-browsers-outline'),
          array('name' => 'ios-at', 'className' => 'ion-ios-at'),
          array('name' => 'ios-at-outline', 'className' => 'ion-ios-at-outline'),
          array('name' => 'ios-pricetag', 'className' => 'ion-ios-pricetag'),
          array('name' => 'ios-pricetag-outline', 'className' => 'ion-ios-pricetag-outline'),
          array('name' => 'ios-pricetags', 'className' => 'ion-ios-pricetags'),
          array('name' => 'ios-pricetags-outline', 'className' => 'ion-ios-pricetags-outline'),
          array('name' => 'ios-cart', 'className' => 'ion-ios-cart'),
          array('name' => 'ios-cart-outline', 'className' => 'ion-ios-cart-outline'),
          array('name' => 'ios-chatboxes', 'className' => 'ion-ios-chatboxes'),
          array('name' => 'ios-chatboxes-outline', 'className' => 'ion-ios-chatboxes-outline'),
          array('name' => 'ios-chatbubble', 'className' => 'ion-ios-chatbubble'),
          array('name' => 'ios-chatbubble-outline', 'className' => 'ion-ios-chatbubble-outline'),
          array('name' => 'ios-cog', 'className' => 'ion-ios-cog'),
          array('name' => 'ios-cog-outline', 'className' => 'ion-ios-cog-outline'),
          array('name' => 'ios-gear', 'className' => 'ion-ios-gear'),
          array('name' => 'ios-gear-outline', 'className' => 'ion-ios-gear-outline'),
          array('name' => 'ios-settings', 'className' => 'ion-ios-settings'),
          array('name' => 'ios-settings-strong', 'className' => 'ion-ios-settings-strong'),
          array('name' => 'ios-toggle', 'className' => 'ion-ios-toggle'),
          array('name' => 'ios-toggle-outline', 'className' => 'ion-ios-toggle-outline'),
          array('name' => 'ios-analytics', 'className' => 'ion-ios-analytics'),
          array('name' => 'ios-analytics-outline', 'className' => 'ion-ios-analytics-outline'),
          array('name' => 'ios-pie', 'className' => 'ion-ios-pie'),
          array('name' => 'ios-pie-outline', 'className' => 'ion-ios-pie-outline'),
          array('name' => 'ios-pulse', 'className' => 'ion-ios-pulse'),
          array('name' => 'ios-pulse-strong', 'className' => 'ion-ios-pulse-strong'),
          array('name' => 'ios-filing', 'className' => 'ion-ios-filing'),
          array('name' => 'ios-filing-outline', 'className' => 'ion-ios-filing-outline'),
          array('name' => 'ios-box', 'className' => 'ion-ios-box'),
          array('name' => 'ios-box-outline', 'className' => 'ion-ios-box-outline'),
          array('name' => 'ios-compose', 'className' => 'ion-ios-compose'),
          array('name' => 'ios-compose-outline', 'className' => 'ion-ios-compose-outline'),
          array('name' => 'ios-trash', 'className' => 'ion-ios-trash'),
          array('name' => 'ios-trash-outline', 'className' => 'ion-ios-trash-outline'),
          array('name' => 'ios-copy', 'className' => 'ion-ios-copy'),
          array('name' => 'ios-copy-outline', 'className' => 'ion-ios-copy-outline'),
          array('name' => 'ios-email', 'className' => 'ion-ios-email'),
          array('name' => 'ios-email-outline', 'className' => 'ion-ios-email-outline'),
          array('name' => 'ios-undo', 'className' => 'ion-ios-undo'),
          array('name' => 'ios-undo-outline', 'className' => 'ion-ios-undo-outline'),
          array('name' => 'ios-redo', 'className' => 'ion-ios-redo'),
          array('name' => 'ios-redo-outline', 'className' => 'ion-ios-redo-outline'),
          array('name' => 'ios-paperplane', 'className' => 'ion-ios-paperplane'),
          array('name' => 'ios-paperplane-outline', 'className' => 'ion-ios-paperplane-outline'),
          array('name' => 'ios-folder', 'className' => 'ion-ios-folder'),
          array('name' => 'ios-folder-outline', 'className' => 'ion-ios-folder-outline'),
          array('name' => 'ios-paper', 'className' => 'ion-ios-paper'),
          array('name' => 'ios-paper-outline', 'className' => 'ion-ios-paper-outline'),
          array('name' => 'ios-list', 'className' => 'ion-ios-list'),
          array('name' => 'ios-list-outline', 'className' => 'ion-ios-list-outline'),
          array('name' => 'ios-world', 'className' => 'ion-ios-world'),
          array('name' => 'ios-world-outline', 'className' => 'ion-ios-world-outline'),
          array('name' => 'ios-alarm', 'className' => 'ion-ios-alarm'),
          array('name' => 'ios-alarm-outline', 'className' => 'ion-ios-alarm-outline'),
          array('name' => 'ios-speedometer', 'className' => 'ion-ios-speedometer'),
          array('name' => 'ios-speedometer-outline', 'className' => 'ion-ios-speedometer-outline'),
          array('name' => 'ios-stopwatch', 'className' => 'ion-ios-stopwatch'),
          array('name' => 'ios-stopwatch-outline', 'className' => 'ion-ios-stopwatch-outline'),
          array('name' => 'ios-timer', 'className' => 'ion-ios-timer'),
          array('name' => 'ios-timer-outline', 'className' => 'ion-ios-timer-outline'),
          array('name' => 'ios-clock', 'className' => 'ion-ios-clock'),
          array('name' => 'ios-clock-outline', 'className' => 'ion-ios-clock-outline'),
          array('name' => 'ios-time', 'className' => 'ion-ios-time'),
          array('name' => 'ios-time-outline', 'className' => 'ion-ios-time-outline'),
          array('name' => 'ios-calendar', 'className' => 'ion-ios-calendar'),
          array('name' => 'ios-calendar-outline', 'className' => 'ion-ios-calendar-outline'),
          array('name' => 'ios-photos', 'className' => 'ion-ios-photos'),
          array('name' => 'ios-photos-outline', 'className' => 'ion-ios-photos-outline'),
          array('name' => 'ios-albums', 'className' => 'ion-ios-albums'),
          array('name' => 'ios-albums-outline', 'className' => 'ion-ios-albums-outline'),
          array('name' => 'ios-camera', 'className' => 'ion-ios-camera'),
          array('name' => 'ios-camera-outline', 'className' => 'ion-ios-camera-outline'),
          array('name' => 'ios-reverse-camera', 'className' => 'ion-ios-reverse-camera'),
          array('name' => 'ios-reverse-camera-outline', 'className' => 'ion-ios-reverse-camera-outline'),
          array('name' => 'ios-eye', 'className' => 'ion-ios-eye'),
          array('name' => 'ios-eye-outline', 'className' => 'ion-ios-eye-outline'),
          array('name' => 'ios-bolt', 'className' => 'ion-ios-bolt'),
          array('name' => 'ios-bolt-outline', 'className' => 'ion-ios-bolt-outline'),
          array('name' => 'ios-color-wand', 'className' => 'ion-ios-color-wand'),
          array('name' => 'ios-color-wand-outline', 'className' => 'ion-ios-color-wand-outline'),
          array('name' => 'ios-color-filter', 'className' => 'ion-ios-color-filter'),
          array('name' => 'ios-color-filter-outline', 'className' => 'ion-ios-color-filter-outline'),
          array('name' => 'ios-grid-view', 'className' => 'ion-ios-grid-view'),
          array('name' => 'ios-grid-view-outline', 'className' => 'ion-ios-grid-view-outline'),
          array('name' => 'ios-crop-strong', 'className' => 'ion-ios-crop-strong'),
          array('name' => 'ios-crop', 'className' => 'ion-ios-crop'),
          array('name' => 'ios-barcode', 'className' => 'ion-ios-barcode'),
          array('name' => 'ios-barcode-outline', 'className' => 'ion-ios-barcode-outline'),
          array('name' => 'ios-briefcase', 'className' => 'ion-ios-briefcase'),
          array('name' => 'ios-briefcase-outline', 'className' => 'ion-ios-briefcase-outline'),
          array('name' => 'ios-medkit', 'className' => 'ion-ios-medkit'),
          array('name' => 'ios-medkit-outline', 'className' => 'ion-ios-medkit-outline'),
          array('name' => 'ios-medical', 'className' => 'ion-ios-medical'),
          array('name' => 'ios-medical-outline', 'className' => 'ion-ios-medical-outline'),
          array('name' => 'ios-infinite', 'className' => 'ion-ios-infinite'),
          array('name' => 'ios-infinite-outline', 'className' => 'ion-ios-infinite-outline'),
          array('name' => 'ios-calculator', 'className' => 'ion-ios-calculator'),
          array('name' => 'ios-calculator-outline', 'className' => 'ion-ios-calculator-outline'),
          array('name' => 'ios-keypad', 'className' => 'ion-ios-keypad'),
          array('name' => 'ios-keypad-outline', 'className' => 'ion-ios-keypad-outline'),
          array('name' => 'ios-telephone', 'className' => 'ion-ios-telephone'),
          array('name' => 'ios-telephone-outline', 'className' => 'ion-ios-telephone-outline'),
          array('name' => 'ios-drag', 'className' => 'ion-ios-drag'),
          array('name' => 'ios-location', 'className' => 'ion-ios-location'),
          array('name' => 'ios-location-outline', 'className' => 'ion-ios-location-outline'),
          array('name' => 'ios-navigate', 'className' => 'ion-ios-navigate'),
          array('name' => 'ios-navigate-outline', 'className' => 'ion-ios-navigate-outline'),
          array('name' => 'ios-locked', 'className' => 'ion-ios-locked'),
          array('name' => 'ios-locked-outline', 'className' => 'ion-ios-locked-outline'),
          array('name' => 'ios-unlocked', 'className' => 'ion-ios-unlocked'),
          array('name' => 'ios-unlocked-outline', 'className' => 'ion-ios-unlocked-outline'),
          array('name' => 'ios-monitor', 'className' => 'ion-ios-monitor'),
          array('name' => 'ios-monitor-outline', 'className' => 'ion-ios-monitor-outline'),
          array('name' => 'ios-printer', 'className' => 'ion-ios-printer'),
          array('name' => 'ios-printer-outline', 'className' => 'ion-ios-printer-outline'),
          array('name' => 'ios-game-controller-a', 'className' => 'ion-ios-game-controller-a'),
          array('name' => 'ios-game-controller-a-outline', 'className' => 'ion-ios-game-controller-a-outline'),
          array('name' => 'ios-game-controller-b', 'className' => 'ion-ios-game-controller-b'),
          array('name' => 'ios-game-controller-b-outline', 'className' => 'ion-ios-game-controller-b-outline'),
          array('name' => 'ios-americanfootball', 'className' => 'ion-ios-americanfootball'),
          array('name' => 'ios-americanfootball-outline', 'className' => 'ion-ios-americanfootball-outline'),
          array('name' => 'ios-baseball', 'className' => 'ion-ios-baseball'),
          array('name' => 'ios-baseball-outline', 'className' => 'ion-ios-baseball-outline'),
          array('name' => 'ios-basketball', 'className' => 'ion-ios-basketball'),
          array('name' => 'ios-basketball-outline', 'className' => 'ion-ios-basketball-outline'),
          array('name' => 'ios-tennisball', 'className' => 'ion-ios-tennisball'),
          array('name' => 'ios-tennisball-outline', 'className' => 'ion-ios-tennisball-outline'),
          array('name' => 'ios-football', 'className' => 'ion-ios-football'),
          array('name' => 'ios-football-outline', 'className' => 'ion-ios-football-outline'),
          array('name' => 'ios-body', 'className' => 'ion-ios-body'),
          array('name' => 'ios-body-outline', 'className' => 'ion-ios-body-outline'),
          array('name' => 'ios-person', 'className' => 'ion-ios-person'),
          array('name' => 'ios-person-outline', 'className' => 'ion-ios-person-outline'),
          array('name' => 'ios-personadd', 'className' => 'ion-ios-personadd'),
          array('name' => 'ios-personadd-outline', 'className' => 'ion-ios-personadd-outline'),
          array('name' => 'ios-people', 'className' => 'ion-ios-people'),
          array('name' => 'ios-people-outline', 'className' => 'ion-ios-people-outline'),
          array('name' => 'ios-musical-notes', 'className' => 'ion-ios-musical-notes'),
          array('name' => 'ios-musical-note', 'className' => 'ion-ios-musical-note'),
          array('name' => 'ios-bell', 'className' => 'ion-ios-bell'),
          array('name' => 'ios-bell-outline', 'className' => 'ion-ios-bell-outline'),
          array('name' => 'ios-mic', 'className' => 'ion-ios-mic'),
          array('name' => 'ios-mic-outline', 'className' => 'ion-ios-mic-outline'),
          array('name' => 'ios-mic-off', 'className' => 'ion-ios-mic-off'),
          array('name' => 'ios-volume-high', 'className' => 'ion-ios-volume-high'),
          array('name' => 'ios-volume-low', 'className' => 'ion-ios-volume-low'),
          array('name' => 'ios-play', 'className' => 'ion-ios-play'),
          array('name' => 'ios-play-outline', 'className' => 'ion-ios-play-outline'),
          array('name' => 'ios-pause', 'className' => 'ion-ios-pause'),
          array('name' => 'ios-pause-outline', 'className' => 'ion-ios-pause-outline'),
          array('name' => 'ios-recording', 'className' => 'ion-ios-recording'),
          array('name' => 'ios-recording-outline', 'className' => 'ion-ios-recording-outline'),
          array('name' => 'ios-fastforward', 'className' => 'ion-ios-fastforward'),
          array('name' => 'ios-fastforward-outline', 'className' => 'ion-ios-fastforward-outline'),
          array('name' => 'ios-rewind', 'className' => 'ion-ios-rewind'),
          array('name' => 'ios-rewind-outline', 'className' => 'ion-ios-rewind-outline'),
          array('name' => 'ios-skipbackward', 'className' => 'ion-ios-skipbackward'),
          array('name' => 'ios-skipbackward-outline', 'className' => 'ion-ios-skipbackward-outline'),
          array('name' => 'ios-skipforward', 'className' => 'ion-ios-skipforward'),
          array('name' => 'ios-skipforward-outline', 'className' => 'ion-ios-skipforward-outline'),
          array('name' => 'ios-shuffle-strong', 'className' => 'ion-ios-shuffle-strong'),
          array('name' => 'ios-shuffle', 'className' => 'ion-ios-shuffle'),
          array('name' => 'ios-videocam', 'className' => 'ion-ios-videocam'),
          array('name' => 'ios-videocam-outline', 'className' => 'ion-ios-videocam-outline'),
          array('name' => 'ios-film', 'className' => 'ion-ios-film'),
          array('name' => 'ios-film-outline', 'className' => 'ion-ios-film-outline'),
          array('name' => 'ios-flask', 'className' => 'ion-ios-flask'),
          array('name' => 'ios-flask-outline', 'className' => 'ion-ios-flask-outline'),
          array('name' => 'ios-lightbulb', 'className' => 'ion-ios-lightbulb'),
          array('name' => 'ios-lightbulb-outline', 'className' => 'ion-ios-lightbulb-outline'),
          array('name' => 'ios-wineglass', 'className' => 'ion-ios-wineglass'),
          array('name' => 'ios-wineglass-outline', 'className' => 'ion-ios-wineglass-outline'),
          array('name' => 'ios-pint', 'className' => 'ion-ios-pint'),
          array('name' => 'ios-pint-outline', 'className' => 'ion-ios-pint-outline'),
          array('name' => 'ios-nutrition', 'className' => 'ion-ios-nutrition'),
          array('name' => 'ios-nutrition-outline', 'className' => 'ion-ios-nutrition-outline'),
          array('name' => 'ios-flower', 'className' => 'ion-ios-flower'),
          array('name' => 'ios-flower-outline', 'className' => 'ion-ios-flower-outline'),
          array('name' => 'ios-rose', 'className' => 'ion-ios-rose'),
          array('name' => 'ios-rose-outline', 'className' => 'ion-ios-rose-outline'),
          array('name' => 'ios-paw', 'className' => 'ion-ios-paw'),
          array('name' => 'ios-paw-outline', 'className' => 'ion-ios-paw-outline'),
          array('name' => 'ios-flame', 'className' => 'ion-ios-flame'),
          array('name' => 'ios-flame-outline', 'className' => 'ion-ios-flame-outline'),
          array('name' => 'ios-sunny', 'className' => 'ion-ios-sunny'),
          array('name' => 'ios-sunny-outline', 'className' => 'ion-ios-sunny-outline'),
          array('name' => 'ios-partlysunny', 'className' => 'ion-ios-partlysunny'),
          array('name' => 'ios-partlysunny-outline', 'className' => 'ion-ios-partlysunny-outline'),
          array('name' => 'ios-cloudy', 'className' => 'ion-ios-cloudy'),
          array('name' => 'ios-cloudy-outline', 'className' => 'ion-ios-cloudy-outline'),
          array('name' => 'ios-rainy', 'className' => 'ion-ios-rainy'),
          array('name' => 'ios-rainy-outline', 'className' => 'ion-ios-rainy-outline'),
          array('name' => 'ios-thunderstorm', 'className' => 'ion-ios-thunderstorm'),
          array('name' => 'ios-thunderstorm-outline', 'className' => 'ion-ios-thunderstorm-outline'),
          array('name' => 'ios-snowy', 'className' => 'ion-ios-snowy'),
          array('name' => 'ios-moon', 'className' => 'ion-ios-moon'),
          array('name' => 'ios-moon-outline', 'className' => 'ion-ios-moon-outline'),
          array('name' => 'ios-cloudy-night', 'className' => 'ion-ios-cloudy-night'),
          array('name' => 'ios-cloudy-night-outline', 'className' => 'ion-ios-cloudy-night-outline'),
          array('name' => 'android-arrow-up', 'className' => 'ion-android-arrow-up'),
          array('name' => 'android-arrow-forward', 'className' => 'ion-android-arrow-forward'),
          array('name' => 'android-arrow-down', 'className' => 'ion-android-arrow-down'),
          array('name' => 'android-arrow-back', 'className' => 'ion-android-arrow-back'),
          array('name' => 'android-arrow-dropup', 'className' => 'ion-android-arrow-dropup'),
          array('name' => 'android-arrow-dropup-circle', 'className' => 'ion-android-arrow-dropup-circle'),
          array('name' => 'android-arrow-dropright', 'className' => 'ion-android-arrow-dropright'),
          array('name' => 'android-arrow-dropright-circle', 'className' => 'ion-android-arrow-dropright-circle'),
          array('name' => 'android-arrow-dropdown', 'className' => 'ion-android-arrow-dropdown'),
          array('name' => 'android-arrow-dropdown-circle', 'className' => 'ion-android-arrow-dropdown-circle'),
          array('name' => 'android-arrow-dropleft', 'className' => 'ion-android-arrow-dropleft'),
          array('name' => 'android-arrow-dropleft-circle', 'className' => 'ion-android-arrow-dropleft-circle'),
          array('name' => 'android-add', 'className' => 'ion-android-add'),
          array('name' => 'android-add-circle', 'className' => 'ion-android-add-circle'),
          array('name' => 'android-remove', 'className' => 'ion-android-remove'),
          array('name' => 'android-remove-circle', 'className' => 'ion-android-remove-circle'),
          array('name' => 'android-close', 'className' => 'ion-android-close'),
          array('name' => 'android-cancel', 'className' => 'ion-android-cancel'),
          array('name' => 'android-radio-button-off', 'className' => 'ion-android-radio-button-off'),
          array('name' => 'android-radio-button-on', 'className' => 'ion-android-radio-button-on'),
          array('name' => 'android-checkmark-circle', 'className' => 'ion-android-checkmark-circle'),
          array('name' => 'android-checkbox-outline-blank', 'className' => 'ion-android-checkbox-outline-blank'),
          array('name' => 'android-checkbox-outline', 'className' => 'ion-android-checkbox-outline'),
          array('name' => 'android-checkbox-blank', 'className' => 'ion-android-checkbox-blank'),
          array('name' => 'android-checkbox', 'className' => 'ion-android-checkbox'),
          array('name' => 'android-done', 'className' => 'ion-android-done'),
          array('name' => 'android-done-all', 'className' => 'ion-android-done-all'),
          array('name' => 'android-menu', 'className' => 'ion-android-menu'),
          array('name' => 'android-more-horizontal', 'className' => 'ion-android-more-horizontal'),
          array('name' => 'android-more-vertical', 'className' => 'ion-android-more-vertical'),
          array('name' => 'android-refresh', 'className' => 'ion-android-refresh'),
          array('name' => 'android-sync', 'className' => 'ion-android-sync'),
          array('name' => 'android-wifi', 'className' => 'ion-android-wifi'),
          array('name' => 'android-call', 'className' => 'ion-android-call'),
          array('name' => 'android-apps', 'className' => 'ion-android-apps'),
          array('name' => 'android-settings', 'className' => 'ion-android-settings'),
          array('name' => 'android-options', 'className' => 'ion-android-options'),
          array('name' => 'android-funnel', 'className' => 'ion-android-funnel'),
          array('name' => 'android-search', 'className' => 'ion-android-search'),
          array('name' => 'android-home', 'className' => 'ion-android-home'),
          array('name' => 'android-cloud-outline', 'className' => 'ion-android-cloud-outline'),
          array('name' => 'android-cloud', 'className' => 'ion-android-cloud'),
          array('name' => 'android-download', 'className' => 'ion-android-download'),
          array('name' => 'android-upload', 'className' => 'ion-android-upload'),
          array('name' => 'android-cloud-done', 'className' => 'ion-android-cloud-done'),
          array('name' => 'android-cloud-circle', 'className' => 'ion-android-cloud-circle'),
          array('name' => 'android-favorite-outline', 'className' => 'ion-android-favorite-outline'),
          array('name' => 'android-favorite', 'className' => 'ion-android-favorite'),
          array('name' => 'android-star-outline', 'className' => 'ion-android-star-outline'),
          array('name' => 'android-star-half', 'className' => 'ion-android-star-half'),
          array('name' => 'android-star', 'className' => 'ion-android-star'),
          array('name' => 'android-calendar', 'className' => 'ion-android-calendar'),
          array('name' => 'android-alarm-clock', 'className' => 'ion-android-alarm-clock'),
          array('name' => 'android-time', 'className' => 'ion-android-time'),
          array('name' => 'android-stopwatch', 'className' => 'ion-android-stopwatch'),
          array('name' => 'android-watch', 'className' => 'ion-android-watch'),
          array('name' => 'android-locate', 'className' => 'ion-android-locate'),
          array('name' => 'android-navigate', 'className' => 'ion-android-navigate'),
          array('name' => 'android-pin', 'className' => 'ion-android-pin'),
          array('name' => 'android-compass', 'className' => 'ion-android-compass'),
          array('name' => 'android-map', 'className' => 'ion-android-map'),
          array('name' => 'android-walk', 'className' => 'ion-android-walk'),
          array('name' => 'android-bicycle', 'className' => 'ion-android-bicycle'),
          array('name' => 'android-car', 'className' => 'ion-android-car'),
          array('name' => 'android-bus', 'className' => 'ion-android-bus'),
          array('name' => 'android-subway', 'className' => 'ion-android-subway'),
          array('name' => 'android-train', 'className' => 'ion-android-train'),
          array('name' => 'android-boat', 'className' => 'ion-android-boat'),
          array('name' => 'android-plane', 'className' => 'ion-android-plane'),
          array('name' => 'android-restaurant', 'className' => 'ion-android-restaurant'),
          array('name' => 'android-bar', 'className' => 'ion-android-bar'),
          array('name' => 'android-cart', 'className' => 'ion-android-cart'),
          array('name' => 'android-camera', 'className' => 'ion-android-camera'),
          array('name' => 'android-image', 'className' => 'ion-android-image'),
          array('name' => 'android-film', 'className' => 'ion-android-film'),
          array('name' => 'android-color-palette', 'className' => 'ion-android-color-palette'),
          array('name' => 'android-create', 'className' => 'ion-android-create'),
          array('name' => 'android-mail', 'className' => 'ion-android-mail'),
          array('name' => 'android-drafts', 'className' => 'ion-android-drafts'),
          array('name' => 'android-send', 'className' => 'ion-android-send'),
          array('name' => 'android-archive', 'className' => 'ion-android-archive'),
          array('name' => 'android-delete', 'className' => 'ion-android-delete'),
          array('name' => 'android-attach', 'className' => 'ion-android-attach'),
          array('name' => 'android-share', 'className' => 'ion-android-share'),
          array('name' => 'android-share-alt', 'className' => 'ion-android-share-alt'),
          array('name' => 'android-bookmark', 'className' => 'ion-android-bookmark'),
          array('name' => 'android-document', 'className' => 'ion-android-document'),
          array('name' => 'android-clipboard', 'className' => 'ion-android-clipboard'),
          array('name' => 'android-list', 'className' => 'ion-android-list'),
          array('name' => 'android-folder-open', 'className' => 'ion-android-folder-open'),
          array('name' => 'android-folder', 'className' => 'ion-android-folder'),
          array('name' => 'android-print', 'className' => 'ion-android-print'),
          array('name' => 'android-open', 'className' => 'ion-android-open'),
          array('name' => 'android-exit', 'className' => 'ion-android-exit'),
          array('name' => 'android-contract', 'className' => 'ion-android-contract'),
          array('name' => 'android-expand', 'className' => 'ion-android-expand'),
          array('name' => 'android-globe', 'className' => 'ion-android-globe'),
          array('name' => 'android-chat', 'className' => 'ion-android-chat'),
          array('name' => 'android-textsms', 'className' => 'ion-android-textsms'),
          array('name' => 'android-hangout', 'className' => 'ion-android-hangout'),
          array('name' => 'android-happy', 'className' => 'ion-android-happy'),
          array('name' => 'android-sad', 'className' => 'ion-android-sad'),
          array('name' => 'android-person', 'className' => 'ion-android-person'),
          array('name' => 'android-people', 'className' => 'ion-android-people'),
          array('name' => 'android-person-add', 'className' => 'ion-android-person-add'),
          array('name' => 'android-contact', 'className' => 'ion-android-contact'),
          array('name' => 'android-contacts', 'className' => 'ion-android-contacts'),
          array('name' => 'android-playstore', 'className' => 'ion-android-playstore'),
          array('name' => 'android-lock', 'className' => 'ion-android-lock'),
          array('name' => 'android-unlock', 'className' => 'ion-android-unlock'),
          array('name' => 'android-microphone', 'className' => 'ion-android-microphone'),
          array('name' => 'android-microphone-off', 'className' => 'ion-android-microphone-off'),
          array('name' => 'android-notifications-none', 'className' => 'ion-android-notifications-none'),
          array('name' => 'android-notifications', 'className' => 'ion-android-notifications'),
          array('name' => 'android-notifications-off', 'className' => 'ion-android-notifications-off'),
          array('name' => 'android-volume-mute', 'className' => 'ion-android-volume-mute'),
          array('name' => 'android-volume-down', 'className' => 'ion-android-volume-down'),
          array('name' => 'android-volume-up', 'className' => 'ion-android-volume-up'),
          array('name' => 'android-volume-off', 'className' => 'ion-android-volume-off'),
          array('name' => 'android-hand', 'className' => 'ion-android-hand'),
          array('name' => 'android-desktop', 'className' => 'ion-android-desktop'),
          array('name' => 'android-laptop', 'className' => 'ion-android-laptop'),
          array('name' => 'android-phone-portrait', 'className' => 'ion-android-phone-portrait'),
          array('name' => 'android-phone-landscape', 'className' => 'ion-android-phone-landscape'),
          array('name' => 'android-bulb', 'className' => 'ion-android-bulb'),
          array('name' => 'android-sunny', 'className' => 'ion-android-sunny'),
          array('name' => 'android-alert', 'className' => 'ion-android-alert'),
          array('name' => 'android-warning', 'className' => 'ion-android-warning'),
          array('name' => 'social-twitter', 'className' => 'ion-social-twitter'),
          array('name' => 'social-twitter-outline', 'className' => 'ion-social-twitter-outline'),
          array('name' => 'social-facebook', 'className' => 'ion-social-facebook'),
          array('name' => 'social-facebook-outline', 'className' => 'ion-social-facebook-outline'),
          array('name' => 'social-googleplus', 'className' => 'ion-social-googleplus'),
          array('name' => 'social-googleplus-outline', 'className' => 'ion-social-googleplus-outline'),
          array('name' => 'social-google', 'className' => 'ion-social-google'),
          array('name' => 'social-google-outline', 'className' => 'ion-social-google-outline'),
          array('name' => 'social-dribbble', 'className' => 'ion-social-dribbble'),
          array('name' => 'social-dribbble-outline', 'className' => 'ion-social-dribbble-outline'),
          array('name' => 'social-octocat', 'className' => 'ion-social-octocat'),
          array('name' => 'social-github', 'className' => 'ion-social-github'),
          array('name' => 'social-github-outline', 'className' => 'ion-social-github-outline'),
          array('name' => 'social-instagram', 'className' => 'ion-social-instagram'),
          array('name' => 'social-instagram-outline', 'className' => 'ion-social-instagram-outline'),
          array('name' => 'social-whatsapp', 'className' => 'ion-social-whatsapp'),
          array('name' => 'social-whatsapp-outline', 'className' => 'ion-social-whatsapp-outline'),
          array('name' => 'social-snapchat', 'className' => 'ion-social-snapchat'),
          array('name' => 'social-snapchat-outline', 'className' => 'ion-social-snapchat-outline'),
          array('name' => 'social-foursquare', 'className' => 'ion-social-foursquare'),
          array('name' => 'social-foursquare-outline', 'className' => 'ion-social-foursquare-outline'),
          array('name' => 'social-pinterest', 'className' => 'ion-social-pinterest'),
          array('name' => 'social-pinterest-outline', 'className' => 'ion-social-pinterest-outline'),
          array('name' => 'social-rss', 'className' => 'ion-social-rss'),
          array('name' => 'social-rss-outline', 'className' => 'ion-social-rss-outline'),
          array('name' => 'social-tumblr', 'className' => 'ion-social-tumblr'),
          array('name' => 'social-tumblr-outline', 'className' => 'ion-social-tumblr-outline'),
          array('name' => 'social-wordpress', 'className' => 'ion-social-wordpress'),
          array('name' => 'social-wordpress-outline', 'className' => 'ion-social-wordpress-outline'),
          array('name' => 'social-reddit', 'className' => 'ion-social-reddit'),
          array('name' => 'social-reddit-outline', 'className' => 'ion-social-reddit-outline'),
          array('name' => 'social-hackernews', 'className' => 'ion-social-hackernews'),
          array('name' => 'social-hackernews-outline', 'className' => 'ion-social-hackernews-outline'),
          array('name' => 'social-designernews', 'className' => 'ion-social-designernews'),
          array('name' => 'social-designernews-outline', 'className' => 'ion-social-designernews-outline'),
          array('name' => 'social-yahoo', 'className' => 'ion-social-yahoo'),
          array('name' => 'social-yahoo-outline', 'className' => 'ion-social-yahoo-outline'),
          array('name' => 'social-buffer', 'className' => 'ion-social-buffer'),
          array('name' => 'social-buffer-outline', 'className' => 'ion-social-buffer-outline'),
          array('name' => 'social-skype', 'className' => 'ion-social-skype'),
          array('name' => 'social-skype-outline', 'className' => 'ion-social-skype-outline'),
          array('name' => 'social-linkedin', 'className' => 'ion-social-linkedin'),
          array('name' => 'social-linkedin-outline', 'className' => 'ion-social-linkedin-outline'),
          array('name' => 'social-vimeo', 'className' => 'ion-social-vimeo'),
          array('name' => 'social-vimeo-outline', 'className' => 'ion-social-vimeo-outline'),
          array('name' => 'social-twitch', 'className' => 'ion-social-twitch'),
          array('name' => 'social-twitch-outline', 'className' => 'ion-social-twitch-outline'),
          array('name' => 'social-youtube', 'className' => 'ion-social-youtube'),
          array('name' => 'social-youtube-outline', 'className' => 'ion-social-youtube-outline'),
          array('name' => 'social-dropbox', 'className' => 'ion-social-dropbox'),
          array('name' => 'social-dropbox-outline', 'className' => 'ion-social-dropbox-outline'),
          array('name' => 'social-apple', 'className' => 'ion-social-apple'),
          array('name' => 'social-apple-outline', 'className' => 'ion-social-apple-outline'),
          array('name' => 'social-android', 'className' => 'ion-social-android'),
          array('name' => 'social-android-outline', 'className' => 'ion-social-android-outline'),
          array('name' => 'social-windows', 'className' => 'ion-social-windows'),
          array('name' => 'social-windows-outline', 'className' => 'ion-social-windows-outline'),
          array('name' => 'social-html5', 'className' => 'ion-social-html5'),
          array('name' => 'social-html5-outline', 'className' => 'ion-social-html5-outline'),
          array('name' => 'social-css3', 'className' => 'ion-social-css3'),
          array('name' => 'social-css3-outline', 'className' => 'ion-social-css3-outline'),
          array('name' => 'social-javascript', 'className' => 'ion-social-javascript'),
          array('name' => 'social-javascript-outline', 'className' => 'ion-social-javascript-outline'),
          array('name' => 'social-angular', 'className' => 'ion-social-angular'),
          array('name' => 'social-angular-outline', 'className' => 'ion-social-angular-outline'),
          array('name' => 'social-nodejs', 'className' => 'ion-social-nodejs'),
          array('name' => 'social-sass', 'className' => 'ion-social-sass'),
          array('name' => 'social-python', 'className' => 'ion-social-python'),
          array('name' => 'social-chrome', 'className' => 'ion-social-chrome'),
          array('name' => 'social-chrome-outline', 'className' => 'ion-social-chrome-outline'),
          array('name' => 'social-codepen', 'className' => 'ion-social-codepen'),
          array('name' => 'social-codepen-outline', 'className' => 'ion-social-codepen-outline'),
          array('name' => 'social-markdown', 'className' => 'ion-social-markdown'),
          array('name' => 'social-tux', 'className' => 'ion-social-tux'),
          array('name' => 'social-freebsd-devil', 'className' => 'ion-social-freebsd-devil'),
          array('name' => 'social-usd', 'className' => 'ion-social-usd'),
          array('name' => 'social-usd-outline', 'className' => 'ion-social-usd-outline'),
          array('name' => 'social-bitcoin', 'className' => 'ion-social-bitcoin'),
          array('name' => 'social-bitcoin-outline', 'className' => 'ion-social-bitcoin-outline'),
          array('name' => 'social-yen', 'className' => 'ion-social-yen'),
          array('name' => 'social-yen-outline', 'className' => 'ion-social-yen-outline'),
          array('name' => 'social-euro', 'className' => 'ion-social-euro'),
          array('name' => 'social-euro-outline', 'className' => 'ion-social-euro-outline'),
        ),
      ),
      array(
        'label'  => 'Icomoon',
        'value' =>  'icomoon',
        'icons'   => array(
          array('name' => 'aligncenter', 'className' => 'icon-aligncenter'),
          array('name' => 'alignjustify', 'className' => 'icon-alignjustify'),
          array('name' => 'alignleft', 'className' => 'icon-alignleft'),
          array('name' => 'alignright', 'className' => 'icon-alignright'),
          array('name' => 'alt', 'className' => 'icon-alt'),
          array('name' => 'arrowright', 'className' => 'icon-arrowright'),
          array('name' => 'arrowup', 'className' => 'icon-arrowup'),
          array('name' => 'artboard', 'className' => 'icon-artboard'),
          array('name' => 'at', 'className' => 'icon-at'),
          array('name' => 'attachment', 'className' => 'icon-attachment'),
          array('name' => 'backward', 'className' => 'icon-backward'),
          array('name' => 'badge', 'className' => 'icon-badge'),
          array('name' => 'banknote', 'className' => 'icon-banknote'),
          array('name' => 'barchart', 'className' => 'icon-barchart'),
          array('name' => 'basketball', 'className' => 'icon-basketball'),
          array('name' => 'batteryhigh', 'className' => 'icon-batteryhigh'),
          array('name' => 'batterylow', 'className' => 'icon-batterylow'),
          array('name' => 'bed', 'className' => 'icon-bed'),
          array('name' => 'bell', 'className' => 'icon-bell'),
          array('name' => 'bin', 'className' => 'icon-bin'),
          array('name' => 'block', 'className' => 'icon-block'),
          array('name' => 'bluetooth', 'className' => 'icon-bluetooth'),
          array('name' => 'book', 'className' => 'icon-book'),
          array('name' => 'box', 'className' => 'icon-box'),
          array('name' => 'brightness', 'className' => 'icon-brightness'),
          array('name' => 'brush', 'className' => 'icon-brush'),
          array('name' => 'bucket', 'className' => 'icon-bucket'),
          array('name' => 'building', 'className' => 'icon-building'),
          array('name' => 'calendar', 'className' => 'icon-calendar'),
          array('name' => 'camera', 'className' => 'icon-camera'),
          array('name' => 'car', 'className' => 'icon-car'),
          array('name' => 'card', 'className' => 'icon-card'),
          array('name' => 'chat', 'className' => 'icon-chat'),
          array('name' => 'circlebottomleft', 'className' => 'icon-circlebottomleft'),
          array('name' => 'circlebottomright', 'className' => 'icon-circlebottomright'),
          array('name' => 'circledown', 'className' => 'icon-circledown'),
          array('name' => 'circleleft', 'className' => 'icon-circleleft'),
          array('name' => 'circleright', 'className' => 'icon-circleright'),
          array('name' => 'circletopleft', 'className' => 'icon-circletopleft'),
          array('name' => 'circletopright', 'className' => 'icon-circletopright'),
          array('name' => 'circleup', 'className' => 'icon-circleup'),
          array('name' => 'clock', 'className' => 'icon-clock'),
          array('name' => 'cloud', 'className' => 'icon-cloud'),
          array('name' => 'cmd', 'className' => 'icon-cmd'),
          array('name' => 'collapse', 'className' => 'icon-collapse'),
          array('name' => 'comment', 'className' => 'icon-comment'),
          array('name' => 'contrast', 'className' => 'icon-contrast'),
          array('name' => 'cornerarrow', 'className' => 'icon-cornerarrow'),
          array('name' => 'cube', 'className' => 'icon-cube'),
          array('name' => 'cup', 'className' => 'icon-cup'),
          array('name' => 'cursor', 'className' => 'icon-cursor'),
          array('name' => 'desktop', 'className' => 'icon-desktop'),
          array('name' => 'disk', 'className' => 'icon-disk'),
          array('name' => 'dollar', 'className' => 'icon-dollar'),
          array('name' => 'download', 'className' => 'icon-download'),
          array('name' => 'drawer', 'className' => 'icon-drawer'),
          array('name' => 'drop', 'className' => 'icon-drop'),
          array('name' => 'earth', 'className' => 'icon-earth'),
          array('name' => 'edit', 'className' => 'icon-edit'),
          array('name' => 'education', 'className' => 'icon-education'),
          array('name' => 'eject', 'className' => 'icon-eject'),
          array('name' => 'euro', 'className' => 'icon-euro'),
          array('name' => 'expand', 'className' => 'icon-expand'),
          array('name' => 'external', 'className' => 'icon-external'),
          array('name' => 'eye', 'className' => 'icon-eye'),
          array('name' => 'factory', 'className' => 'icon-factory'),
          array('name' => 'fastforward', 'className' => 'icon-fastforward'),
          array('name' => 'fileadd', 'className' => 'icon-fileadd'),
          array('name' => 'fileremove', 'className' => 'icon-fileremove'),
          array('name' => 'file', 'className' => 'icon-file'),
          array('name' => 'files', 'className' => 'icon-files'),
          array('name' => 'filter', 'className' => 'icon-filter'),
          array('name' => 'fire', 'className' => 'icon-fire'),
          array('name' => 'firstaid', 'className' => 'icon-firstaid'),
          array('name' => 'flag', 'className' => 'icon-flag'),
          array('name' => 'floppy', 'className' => 'icon-floppy'),
          array('name' => 'folderadd', 'className' => 'icon-folderadd'),
          array('name' => 'folderremove', 'className' => 'icon-folderremove'),
          array('name' => 'folder', 'className' => 'icon-folder'),
          array('name' => 'forkknife', 'className' => 'icon-forkknife'),
          array('name' => 'form', 'className' => 'icon-form'),
          array('name' => 'frame', 'className' => 'icon-frame'),
          array('name' => 'fullscreen', 'className' => 'icon-fullscreen'),
          array('name' => 'gift', 'className' => 'icon-gift'),
          array('name' => 'glass', 'className' => 'icon-glass'),
          array('name' => 'glasses', 'className' => 'icon-glasses'),
          array('name' => 'grid', 'className' => 'icon-grid'),
          array('name' => 'group', 'className' => 'icon-group'),
          array('name' => 'headset', 'className' => 'icon-headset'),
          array('name' => 'heart', 'className' => 'icon-heart'),
          array('name' => 'hidesdebarvert', 'className' => 'icon-hidesdebarvert'),
          array('name' => 'hidesidebarhoriz', 'className' => 'icon-hidesidebarhoriz'),
          array('name' => 'home', 'className' => 'icon-home'),
          array('name' => 'id', 'className' => 'icon-id'),
          array('name' => 'image', 'className' => 'icon-image'),
          array('name' => 'info', 'className' => 'icon-info'),
          array('name' => 'invoice', 'className' => 'icon-invoice'),
          array('name' => 'juice', 'className' => 'icon-juice'),
          array('name' => 'key', 'className' => 'icon-key'),
          array('name' => 'lamp', 'className' => 'icon-lamp'),
          array('name' => 'layers', 'className' => 'icon-layers'),
          array('name' => 'leaf', 'className' => 'icon-leaf'),
          array('name' => 'leftright', 'className' => 'icon-leftright'),
          array('name' => 'left', 'className' => 'icon-left'),
          array('name' => 'legoblock', 'className' => 'icon-legoblock'),
          array('name' => 'lifebuoy', 'className' => 'icon-lifebuoy'),
          array('name' => 'lightbulb', 'className' => 'icon-lightbulb'),
          array('name' => 'link', 'className' => 'icon-link'),
          array('name' => 'list', 'className' => 'icon-list'),
          array('name' => 'loading', 'className' => 'icon-loading'),
          array('name' => 'logout', 'className' => 'icon-logout'),
          array('name' => 'mailopen', 'className' => 'icon-mailopen'),
          array('name' => 'mail', 'className' => 'icon-mail'),
          array('name' => 'map', 'className' => 'icon-map'),
          array('name' => 'margin', 'className' => 'icon-margin'),
          array('name' => 'megaphone', 'className' => 'icon-megaphone'),
          array('name' => 'meh', 'className' => 'icon-meh'),
          array('name' => 'menucircledots', 'className' => 'icon-menucircledots'),
          array('name' => 'menucircle', 'className' => 'icon-menucircle'),
          array('name' => 'menudots', 'className' => 'icon-menudots'),
          array('name' => 'menulines', 'className' => 'icon-menulines'),
          array('name' => 'microphone', 'className' => 'icon-microphone'),
          array('name' => 'minus', 'className' => 'icon-minus'),
          array('name' => 'mobile', 'className' => 'icon-mobile'),
          array('name' => 'mouse', 'className' => 'icon-mouse'),
          array('name' => 'movediagonal', 'className' => 'icon-movediagonal'),
          array('name' => 'movehorizontal', 'className' => 'icon-movehorizontal'),
          array('name' => 'movevertical', 'className' => 'icon-movevertical'),
          array('name' => 'move', 'className' => 'icon-move'),
          array('name' => 'mug', 'className' => 'icon-mug'),
          array('name' => 'music', 'className' => 'icon-music'),
          array('name' => 'network', 'className' => 'icon-network'),
          array('name' => 'newfile', 'className' => 'icon-newfile'),
          array('name' => 'newspaper', 'className' => 'icon-newspaper'),
          array('name' => 'next', 'className' => 'icon-next'),
          array('name' => 'no', 'className' => 'icon-no'),
          array('name' => 'notes', 'className' => 'icon-notes'),
          array('name' => 'objects', 'className' => 'icon-objects'),
          array('name' => 'padding', 'className' => 'icon-padding'),
          array('name' => 'padlockopen', 'className' => 'icon-padlockopen'),
          array('name' => 'padlock', 'className' => 'icon-padlock'),
          array('name' => 'paintbrush', 'className' => 'icon-paintbrush'),
          array('name' => 'paperplane', 'className' => 'icon-paperplane'),
          array('name' => 'pause', 'className' => 'icon-pause'),
          array('name' => 'pen', 'className' => 'icon-pen'),
          array('name' => 'pencilruler', 'className' => 'icon-pencilruler'),
          array('name' => 'pencil', 'className' => 'icon-pencil'),
          array('name' => 'phone', 'className' => 'icon-phone'),
          array('name' => 'piechart', 'className' => 'icon-piechart'),
          array('name' => 'pin2', 'className' => 'icon-pin2'),
          array('name' => 'pinpoint', 'className' => 'icon-pinpoint'),
          array('name' => 'pin', 'className' => 'icon-pin'),
          array('name' => 'play', 'className' => 'icon-play'),
          array('name' => 'plug', 'className' => 'icon-plug'),
          array('name' => 'plus', 'className' => 'icon-plus'),
          array('name' => 'pound', 'className' => 'icon-pound'),
          array('name' => 'poweron', 'className' => 'icon-poweron'),
          array('name' => 'previous', 'className' => 'icon-previous'),
          array('name' => 'printer', 'className' => 'icon-printer'),
          array('name' => 'projector', 'className' => 'icon-projector'),
          array('name' => 'question', 'className' => 'icon-question'),
          array('name' => 'quote', 'className' => 'icon-quote'),
          array('name' => 'record', 'className' => 'icon-record'),
          array('name' => 'recycle', 'className' => 'icon-recycle'),
          array('name' => 'redo', 'className' => 'icon-redo'),
          array('name' => 'refresh', 'className' => 'icon-refresh'),
          array('name' => 'rotateclock', 'className' => 'icon-rotateclock'),
          array('name' => 'rotatecounter', 'className' => 'icon-rotatecounter'),
          array('name' => 'sad', 'className' => 'icon-sad'),
          array('name' => 'scales', 'className' => 'icon-scales'),
          array('name' => 'search', 'className' => 'icon-search'),
          array('name' => 'selection', 'className' => 'icon-selection'),
          array('name' => 'settings', 'className' => 'icon-settings'),
          array('name' => 'shapes', 'className' => 'icon-shapes'),
          array('name' => 'share', 'className' => 'icon-share'),
          array('name' => 'shield', 'className' => 'icon-shield'),
          array('name' => 'shoppingcart', 'className' => 'icon-shoppingcart'),
          array('name' => 'showsidebarhoriz', 'className' => 'icon-showsidebarhoriz'),
          array('name' => 'showsidebarvert', 'className' => 'icon-showsidebarvert'),
          array('name' => 'shuffle', 'className' => 'icon-shuffle'),
          array('name' => 'sign', 'className' => 'icon-sign'),
          array('name' => 'signal', 'className' => 'icon-signal'),
          array('name' => 'skull', 'className' => 'icon-skull'),
          array('name' => 'sliders', 'className' => 'icon-sliders'),
          array('name' => 'smallscreen', 'className' => 'icon-smallscreen'),
          array('name' => 'smile', 'className' => 'icon-smile'),
          array('name' => 'soap', 'className' => 'icon-soap'),
          array('name' => 'speedometer', 'className' => 'icon-speedometer'),
          array('name' => 'star', 'className' => 'icon-star'),
          array('name' => 'stop', 'className' => 'icon-stop'),
          array('name' => 'stylingtools', 'className' => 'icon-stylingtools'),
          array('name' => 'suitcase', 'className' => 'icon-suitcase'),
          array('name' => 'syringe', 'className' => 'icon-syringe'),
          array('name' => 'table', 'className' => 'icon-table'),
          array('name' => 'tag', 'className' => 'icon-tag'),
          array('name' => 'target', 'className' => 'icon-target'),
          array('name' => 'terminal', 'className' => 'icon-terminal'),
          array('name' => 'text', 'className' => 'icon-text'),
          array('name' => 'thumbsdown', 'className' => 'icon-thumbsdown'),
          array('name' => 'thumbsup', 'className' => 'icon-thumbsup'),
          array('name' => 'thunderbolt', 'className' => 'icon-thunderbolt'),
          array('name' => 'tie', 'className' => 'icon-tie'),
          array('name' => 'toggles', 'className' => 'icon-toggles'),
          array('name' => 'trophy', 'className' => 'icon-trophy'),
          array('name' => 'truck', 'className' => 'icon-truck'),
          array('name' => 'tube', 'className' => 'icon-tube'),
          array('name' => 'tv', 'className' => 'icon-tv'),
          array('name' => 'umbrella', 'className' => 'icon-umbrella'),
          array('name' => 'undo', 'className' => 'icon-undo'),
          array('name' => 'updown', 'className' => 'icon-updown'),
          array('name' => 'up', 'className' => 'icon-up'),
          array('name' => 'update', 'className' => 'icon-update'),
          array('name' => 'upload', 'className' => 'icon-upload'),
          array('name' => 'useradd', 'className' => 'icon-useradd'),
          array('name' => 'userremove', 'className' => 'icon-userremove'),
          array('name' => 'user', 'className' => 'icon-user'),
          array('name' => 'users', 'className' => 'icon-users'),
          array('name' => 'videocamera', 'className' => 'icon-videocamera'),
          array('name' => 'video', 'className' => 'icon-video'),
          array('name' => 'volumedown', 'className' => 'icon-volumedown'),
          array('name' => 'volumemute', 'className' => 'icon-volumemute'),
          array('name' => 'volumeup', 'className' => 'icon-volumeup'),
          array('name' => 'wallet', 'className' => 'icon-wallet'),
          array('name' => 'wand', 'className' => 'icon-wand'),
          array('name' => 'warning', 'className' => 'icon-warning'),
          array('name' => 'wifi', 'className' => 'icon-wifi'),
          array('name' => 'window', 'className' => 'icon-window'),
          array('name' => 'wrench', 'className' => 'icon-wrench'),
          array('name' => 'yes', 'className' => 'icon-yes'),
          array('name' => 'zoomin', 'className' => 'icon-zoomin'),
          array('name' => 'zoomout', 'className' => 'icon-zoomout'),
        ),
      ),
      array(
        'label'  => 'Flaticons',
        'value' =>  'flaticons',
        'icons'   => array(
          array('name' => 'dress', 'className' => 'flaticon-dress'),
          array('name' => 'pilot-sunglasses', 'className' => 'flaticon-pilot-sunglasses'),
          array('name' => 'business', 'className' => 'flaticon-business'),
          array('name' => 'headphones', 'className' => 'flaticon-headphones'),
          array('name' => 'sneaker', 'className' => 'flaticon-sneaker'),
          array('name' => 'wallet', 'className' => 'flaticon-wallet'),
          array('name' => 'diamond', 'className' => 'flaticon-diamond'),
          array('name' => 'console', 'className' => 'flaticon-console'),
          array('name' => 'teddy-bear', 'className' => 'flaticon-teddy-bear'),
          array('name' => 'gift', 'className' => 'flaticon-gift'),
          array('name' => 'watch', 'className' => 'flaticon-watch'),
          array('name' => 'cosmetics', 'className' => 'flaticon-cosmetics'),
          array('name' => 'shirt', 'className' => 'flaticon-shirt'),
          array('name' => 'smartphone', 'className' => 'flaticon-smartphone'),
          array('name' => 'screen', 'className' => 'flaticon-screen'),
        ),
      ),
    );
    return $icon_lists;
  }
}
new Reuse_ICONS_Provider();
